The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"Debian прекращает поддержку стандарта Linux Standard Base"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от opennews (??) on 09-Окт-15, 21:19 
Разработчики Debian поставили под сомнение (https://lwn.net/Articles/658809/) целесообразность обеспечения поддержки в дистрибутиве стандарта Linux Standard Base (https://www.opennet.ru/opennews/art.shtml?num=42360) (LSB), который определяет сервиcы, средства разработки, бинарные интерфейсы и библиотеки, дающие возможность выполнения в дистрибутиве LSB-совместимых сторонних приложений. По мнению некоторых разработчиков, на обеспечение совместимости с LSB тратится слишком много сил, при неочевидной пользе от такой совместимости.

Поддерживаемый в Debian стандарт LSB 4.1 описывает 1493 компонентов, 1672 библиотек, 38491 команд, 30176 классов и 716202 интерфейсов.  При том, что в настоящее время на предмет совместимости с LSB сертифицировано (https://www.linuxbase.org/lsb-cert/productdir.php?by_lsb) всего 8 (восемь) приложений, из которых только одна программа сертифицирована на соответствие LSB 4.0+. Иначе говоря, вся огромная работа и те рамки в которые приходится укладываться ради совместимости с LSB делаются ради нескольких проприетарных программ, разработчики которых не желают сформировать специфичные для дистрибутива пакеты.

Главной же проблемой является то, что никто из разработчиков не хочет брать на себя работу по сопровождению пакетов с компонентами для поддержки LSB. В связи с этим решено (http://permalink.gmane.org/gmane.linux.debian.devel.lsb/1103) сохранить только пакеты lsb-base и lsb-release с небольшим набором shell-функций для скриптов инициализации и утилитой для вывода уровня совместимости с LSB, отбросив всё остальное.

URL: https://lwn.net/Articles/658809/
Новость: https://www.opennet.ru/opennews/art.shtml?num=43119

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "Debian прекращает поддержку стандарта Linux Standard Base"  –10 +/
Сообщение от Аноним (??) on 09-Окт-15, 21:19 
Ну и правильно
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

2. "Debian прекращает поддержку стандарта Linux Standard Base"  –4 +/
Сообщение от EuPhobos (ok) on 09-Окт-15, 21:22 
После того, как перестанут работать всякие проприетарные сетевухи или Wi-Fi карточки с видеокарточками, юзверята завопят и начнётся массовый отток, хошь-не-хошь, а вернуться к поддержке придётся.
А с другой стороны всё верно. Ленивые проприетарные задницы пытаются переложить работу на кого-то другого. Вот если бы все массово перестали поддерживать их продукцию - был бы положительный эффект.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

3. "Debian прекращает поддержку стандарта Linux Standard Base"  +20 +/
Сообщение от Аноним (??) on 09-Окт-15, 21:26 
Причем тут сетевухи, Wi-Fi карточки и видеокарточки?
Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

34. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от Zenitur (ok) on 10-Окт-15, 02:41 
Действительно мимо. А прикладной софт - отвалится, да. Начиная с флеша и заканчивая средами разработки.
Ответить | Правка | ^ к родителю #3 | Наверх | Cообщить модератору

41. "Debian прекращает поддержку стандарта Linux Standard Base"  +14 +/
Сообщение от Аноним (??) on 10-Окт-15, 03:03 
flash уже года три как не нужен чуть более чем полностью.
Ответить | Правка | ^ к родителю #34 | Наверх | Cообщить модератору

80. "Debian прекращает поддержку стандарта Linux Standard Base"  –5 +/
Сообщение от Lavir_the_Whiolet email on 10-Окт-15, 11:10 
Ололошеньки-лоло, расскажи мне больше про ненужность Флеша.
Ответить | Правка | ^ к родителю #41 | Наверх | Cообщить модератору

96. "Debian прекращает поддержку стандарта Linux Standard Base"  +2 +/
Сообщение от Аноним (??) on 10-Окт-15, 12:20 
5 лет не видел флеша.
Ответить | Правка | ^ к родителю #80 | Наверх | Cообщить модератору

102. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от dimcha (??) on 10-Окт-15, 12:56 
На seasonvar, видимо, не ходите, потому и не нужен. Или стоит у вас старенький плагинчик в системе, еще 5 лет назад установленный, вот и не знаете даже, что видите...
Ответить | Правка | ^ к родителю #96 | Наверх | Cообщить модератору

106. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Ан (??) on 10-Окт-15, 13:31 
html5 плеер там таки есть. Не очень удобный, но есть.
Ответить | Правка | ^ к родителю #102 | Наверх | Cообщить модератору

107. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от dimcha (??) on 10-Окт-15, 13:34 
> html5 плеер там таки есть. Не очень удобный, но есть.

ну вот, а я не нашел и крыл матом apple за их отказ от flash и не мог смотреть через iPad. А он давно появился?

Ответить | Правка | ^ к родителю #106 | Наверх | Cообщить модератору

125. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 10-Окт-15, 16:54 
В Apple никогда не отказывались от flash, его там никогда не было. Для того, чтобы играть во флеш-копро-игруленьки можно использовать один из *дцати броузеров для iOS с поддержкой оного. Смотрите в App Store по тэгу "flash".
Ответить | Правка | ^ к родителю #107 | Наверх | Cообщить модератору

140. "Debian прекращает поддержку стандарта Linux Standard Base"  –5 +/
Сообщение от kandeshvari (ok) on 10-Окт-15, 21:37 
> В Apple никогда не отказывались от flash, его там никогда не было.
> Для того, чтобы играть во флеш-копро-игруленьки можно использовать один из *дцати
> броузеров для iOS с поддержкой оного. Смотрите в App Store по
> тэгу "flash".

Причем здесь игры? Я про видео говорил. Что странно, для видео эти говноброузеры тоже не подходят. Если не верите - попробуйте. Кровь-кишки. Имхо если делать систему для массового пользователя, то оставлять за бортом флеш глупо. Они ему смерть пророчили еще в первом (первом, Карл!) айфоне, а уже 12й вышел, флеш живее иных живых, а убер-хтмл5 болеет идиотскими детскими болезнями. Пообщайтесь с разработчиками этих самых "копроигр" и вам популярно объяснят на какой %уй надо пойти этому html5. На такой он еще не ходил...

Ответить | Правка | ^ к родителю #125 | Наверх | Cообщить модератору

155. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от plain5ence (ok) on 10-Окт-15, 23:38 
Причем здесь игры? Для игр есть аппстор. Пообщайтесь с разработчиками этих самых сайтов и вам популярно объяснят, что если делать сайт для массового пользователя, то оставлять на борту флеш глупо. Ну а копроразработчики могут ходить на своих %уях дальше - их мнение никого не волнует.
Ответить | Правка | ^ к родителю #140 | Наверх | Cообщить модератору

168. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от ГГ on 11-Окт-15, 02:39 
детскими болезнями болеют только жопорукие индусы, в html5 никаких проблем нет, в нём всё прекрасно работает на всех устройствах
Ответить | Правка | ^ к родителю #140 | Наверх | Cообщить модератору

171. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от arisu (ok) on 11-Окт-15, 07:56 
> Пообщайтесь с разработчиками этих самых "копроигр"

зачем общаться с безмозглыми кретинами?

Ответить | Правка | ^ к родителю #140 | Наверх | Cообщить модератору

135. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от angra (ok) on 10-Окт-15, 20:46 
Год назад уже был.
Ответить | Правка | ^ к родителю #107 | Наверх | Cообщить модератору

181. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от fooser on 11-Окт-15, 11:29 
Согласен, тебе для посмотра порносайтов он еще нужен :)
Ответить | Правка | ^ к родителю #80 | Наверх | Cообщить модератору

182. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от Аноним (??) on 11-Окт-15, 11:34 
на редтубе отличный хтмл плеер
Ответить | Правка | ^ к родителю #181 | Наверх | Cообщить модератору

45. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 10-Окт-15, 03:24 
Сказано же, оно нужно только восьми гoвноприожениям. Ничего не изменится.
Ответить | Правка | ^ к родителю #2 | Наверх | Cообщить модератору

46. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Zenitur (ok) on 10-Окт-15, 03:27 
8 приложений лицензировано ≠ 8 приложений всего. "Говноприложений", ты сейчас похож на диктора советского ТВ с его интонационной поддержкой. Ты же даже не знаешь что это за программы.
Ответить | Правка | ^ к родителю #45 | Наверх | Cообщить модератору

59. "Debian прекращает поддержку стандарта Linux Standard Base"  +9 +/
Сообщение от Аноним (??) on 10-Окт-15, 04:43 
Почему советского? Сейчас такие же дикторы.
Ответить | Правка | ^ к родителю #46 | Наверх | Cообщить модератору

81. "Debian прекращает поддержку стандарта Linux Standard Base"  +5 +/
Сообщение от анонимус (??) on 10-Окт-15, 11:22 
А в САСШ что, другие? Везде они одинаковые. ПРосто этому чувачку в советские времена не давали осуществить его низменные мечты, видать, вот он и обиделся на всю свою никчёмную жизнь ;)
Ответить | Правка | ^ к родителю #59 | Наверх | Cообщить модератору

134. "Debian прекращает поддержку стандарта Linux Standard Base"  +2 +/
Сообщение от Sluggard (ok) on 10-Окт-15, 20:25 
Если это настоящий Зентар, то в советские времена его ещё не было в природе.
Ответить | Правка | ^ к родителю #81 | Наверх | Cообщить модератору

212. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Клыкастый (ok) on 12-Окт-15, 11:02 
это не мешает отдельным личностям страдать от тоталитаризма и даже от оккупации.
Ответить | Правка | ^ к родителю #134 | Наверх | Cообщить модератору

272. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 15-Окт-15, 09:45 
> это не мешает отдельным личностям страдать от тоталитаризма и даже от оккупации.

для таких людей придумали психиатрические лечебницы

Ответить | Правка | ^ к родителю #212 | Наверх | Cообщить модератору

271. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Аноним (??) on 15-Окт-15, 09:44 
сейчас бы всем дикторам не помешало быть такими же как в Советах
Ответить | Правка | ^ к родителю #46 | Наверх | Cообщить модератору

79. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от Кармер on 10-Окт-15, 11:10 
И среди них Wolphram Mathematica или Matlab ,например . Ну кому нужен госводистрибутив без матлаба ?? В в свитч пакетокидалкой разве что ...
Ответить | Правка | ^ к родителю #45 | Наверх | Cообщить модератору

90. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от myhand (ok) on 10-Окт-15, 12:06 
> И среди них Wolphram Mathematica или Matlab ,например .

А точно?  RPM, например, для дистрибуции первый не использует.

Ответить | Правка | ^ к родителю #79 | Наверх | Cообщить модератору

100. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 10-Окт-15, 12:37 
Да он и не нужен... Я помню новость про LSB 5.0 - каждый второй коммент про "LSB не нужен, потому что RPM". Но никто же не заставляет им пользоваться. Вот например Nero Linux 4 предлагает на выбор RPM и DEB, и Lightworks 12.5 тоже.
Ответить | Правка | ^ к родителю #90 | Наверх | Cообщить модератору

97. "Debian прекращает поддержку стандарта Linux Standard Base"  –2 +/
Сообщение от Аноним (??) on 10-Окт-15, 12:21 
зачем нужен матлаб если есть luaJIT?
Ответить | Правка | ^ к родителю #79 | Наверх | Cообщить модератору

151. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от КарМер on 10-Окт-15, 23:05 
И всю-всю функциональность всех-всех пакетов уже переписали opensource гномики ??
Ну продемонстриуйте что-нибудь не архисложное.Например, есть видео как капля чернил расползается по  мокрой промакашке,- требуется вычислить коэфф диффузии .
Ответить | Правка | ^ к родителю #97 | Наверх | Cообщить модератору

228. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Аноним (??) on 13-Окт-15, 20:42 
>  зачем нужен матлаб если есть kcalc?

Починил.

Ответить | Правка | ^ к родителю #97 | Наверх | Cообщить модератору

239. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Аноним (??) on 13-Окт-15, 21:16 
> И среди них Wolphram Mathematica или Matlab ,например . Ну кому нужен
> госводистрибутив без матлаба ?? В в свитч пакетокидалкой разве что ...

У меня матлаб на дебиане работает без LSB-либ :)

Ответить | Правка | ^ к родителю #79 | Наверх | Cообщить модератору

254. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от myhand (ok) on 14-Окт-15, 12:57 
>> И среди них Wolphram Mathematica или Matlab ,например . Ну кому нужен
>> госводистрибутив без матлаба ?? В в свитч пакетокидалкой разве что ...
> У меня матлаб на дебиане работает без LSB-либ :)

Это как?  Вы без libc работаете?


Ответить | Правка | ^ к родителю #239 | Наверх | Cообщить модератору

91. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от myhand (ok) on 10-Окт-15, 12:08 
> Сказано же, оно нужно только восьми гoвноприожениям. Ничего не изменится.

Не путай сертификацию с "нужностью".

Коммерческих программ под Linux - много.  Действительно, довольно похоже на то
что вещи вроде Mathematica или Matlab - используют элементы LSB.

Ответить | Правка | ^ к родителю #45 | Наверх | Cообщить модератору

4. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от GotF (ok) on 09-Окт-15, 21:36 
Проприетарщики ориентируются в первую очередь на клиента, а не на стандарты. С другой стороны, LSB не очень вписывается и в практики FOSS-разработки. Вот и получается чисто бумажный стандарт.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

14. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от Аноним (??) on 09-Окт-15, 23:10 
> Проприетарщики ориентируются в первую очередь на клиента, а не на стандарты. С
> другой стороны, LSB не очень вписывается и в практики FOSS-разработки. Вот
> и получается чисто бумажный стандарт.

Хрен ты угадал. Знаешь, почему? Почитай, как IBM PC получил всеобщее распространение. Потом когда проникнешься - приходи, потрындим за стандарты. Сечешь?

Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

18. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от none_first email(ok) on 09-Окт-15, 23:20 
>> Проприетарщики ориентируются в первую очередь на клиента, а не на стандарты. С
>> другой стороны, LSB не очень вписывается и в практики FOSS-разработки. Вот
>> и получается чисто бумажный стандарт.
> Хрен ты угадал. Знаешь, почему? Почитай, как IBM PC получил всеобщее распространение.
> Потом когда проникнешься - приходи, потрындим за стандарты. Сечешь?

наверное вот поэтому http://abcdefgh.livejournal.com/924831.html

Ответить | Правка | ^ к родителю #14 | Наверх | Cообщить модератору

280. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Клыкастый (ok) on 21-Окт-15, 08:16 
> Проприетарщики ориентируются в первую очередь на клиента, а не на стандарты.

"Как бы его повернуть, что е..ть, а он не рыпался" в принципе можно считать ориентацией на клиента... но с оооочень большооооой натяяяя....

Ответить | Правка | ^ к родителю #4 | Наверх | Cообщить модератору

5. "Debian прекращает поддержку стандарта Linux Standard Base"  –3 +/
Сообщение от anonymous (??) on 09-Окт-15, 21:44 
Заметались бедненькие. То systemd во все поля, то LSB не нужен. Наверное UsrMove собираются делать, иначе редхватовская поделка работать отказывается.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

6. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от vovans (ok) on 09-Окт-15, 21:52 
с systemd это они правильно. Да и с сабжем тоже.
Ответить | Правка | ^ к родителю #5 | Наверх | Cообщить модератору

9. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от anonymous (??) on 09-Окт-15, 22:32 
С аргументацией у тебя проблемы. Давай, разъясни, чем несоблюдение стандартов правильно?
Ответить | Правка | ^ к родителю #6 | Наверх | Cообщить модератору

11. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от px (??) on 09-Окт-15, 22:43 
Тем, что именно на этот стандарт всем положить, а поддерживать надо. Если есть хоть кто-то заинтересован, он может взяться за это...
Ответить | Правка | ^ к родителю #9 | Наверх | Cообщить модератору

121. "Debian прекращает поддержку стандарта Linux Standard Base"  +2 +/
Сообщение от anonymous (??) on 10-Окт-15, 16:05 
>Тем, что именно на этот стандарт всем положить, а поддерживать надо. Если есть хоть кто-то заинтересован, он может взяться за это...

Тогда вопрос. Как вообще возник стандарт, на который всем положить? Кто его разработал? Может, какие инопланетяне?

Ответить | Правка | ^ к родителю #11 | Наверх | Cообщить модератору

230. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 13-Окт-15, 20:47 
> Тем, что именно на этот стандарт всем положить,

Программ, использующих стандарт LSB, довольно много (почитайте обсуждение выше). Просто далеко не все производители заморачиваются с сертификацией.

Ответить | Правка | ^ к родителю #11 | Наверх | Cообщить модератору

229. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 13-Окт-15, 20:43 
> С аргументацией у тебя проблемы. Давай, разъясни, чем несоблюдение стандартов правильно?

Ну вот гента использует нестандартную систему инициализации. Это неправильно?

Ответить | Правка | ^ к родителю #9 | Наверх | Cообщить модератору

233. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 13-Окт-15, 20:53 
> иначе редхватовская поделка работать отказывается.

Это вы про LSB?


Ответить | Правка | ^ к родителю #5 | Наверх | Cообщить модератору

7. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Аноним (??) on 09-Окт-15, 22:14 
Странно что они вообще возились с этим мертвым стандартом.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

19. "Debian прекращает поддержку стандарта Linux Standard Base"  –3 +/
Сообщение от Аноним (??) on 09-Окт-15, 23:21 
У дебы насиловать труп - в порядке вещей
Ответить | Правка | ^ к родителю #7 | Наверх | Cообщить модератору

38. "Debian прекращает поддержку стандарта Linux Standard Base"  +3 +/
Сообщение от Zenitur (ok) on 10-Окт-15, 02:52 
Да где ж он мёртвый-то? То, что игроделы взяли за стандарт Ubuntu 12.04, а не Enterprise Linux 5 (для LSB 5.0 - 7) не значит, что это сделали все. Хотя бы потому что софт для работы в Steam не берут. (Если кто не знает, Steam таскает с собой 300 МБ либ из Ubuntu 12.04, иначе проблемы наблюдаются даже в 12.10 - не говоря уже про 15.04). А обратная совместимость во всех стандартных либах поддерживается железно - от Glibc до Glib.
Ответить | Правка | ^ к родителю #7 | Наверх | Cообщить модератору

43. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 10-Окт-15, 03:12 
>Если кто не знает, Steam таскает с собой 300 МБ либ из Ubuntu 12.04, иначе проблемы наблюдаются даже в 12.10 - не говоря уже про 15.04

Это временное явление, когда контракт Valve с Canonical истечёт эти устаревшие либы выкинут из Steam.

Ответить | Правка | ^ к родителю #38 | Наверх | Cообщить модератору

44. "Debian прекращает поддержку стандарта Linux Standard Base"  +6 +/
Сообщение от Zenitur (ok) on 10-Окт-15, 03:23 
>> Если кто не знает, Steam таскает с собой 300 МБ либ из Ubuntu 12.04, иначе проблемы наблюдаются даже в 12.10 - не говоря уже про 15.04
> Это временное явление, когда контракт Valve с Canonical истечёт эти устаревшие либы выкинут из Steam.

Нет никакого контракта. Сначала Valve начала писать Steam как для нормальной системы! Бета-релиз доустанавливал все зависимости для игр через apt-get, запрашивая пароль администратора. А потом выяснилось, что в Ubuntu 12.10 это не работает. Как так?! "Эй, Canonical! Ты что, не обеспечиваешь обратную совместимость с предыдущими релизами Ubuntu?" "Нет, не обеспечиваю" "%$#!" Сроки, видимо, поджимали, вот и решили проблему bundled-либами. А после релиза Steam, вообще обказались от сотрудничества с Canonical, создав SteamOS на базе Debian. Я уверен, что изначально планировалось на Ubuntu и делать консоль.

Так вот, LSB - это и есть стопроцентная обратная совместимость между Enterprise 5, 6 и 7. LSB гарантирует, что весь твой софт, которым ты пользовался в EL5, в EL6 прекрасно заработает, а от EL6 - в EL7. Red Hat тратит на поддерживание обратной совместимости нехило средств - иначе она потеряет гораздо больше!

Печально, что Debian отказывается от его поддержки - тем самым перекрывая себе дорогу в энтерпрайс. Если LSB не будет совсем - не будет обратной совместимости между Debian 8 и 9, и Ubuntu 15.10 и 16.04. Потому что (в частности) Glib 2.50 не сможет гарантированно запускать софт, скомпиленный с Glib 2.40. Не Шаттлворт же будет следить за обратной совместимостью в базовых системных либах!

Ответить | Правка | ^ к родителю #43 | Наверх | Cообщить модератору

66. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Вареник on 10-Окт-15, 05:09 
> Печально, что Debian отказывается от его поддержки - тем самым перекрывая себе
> дорогу в энтерпрайс.

Бред написали, потому что:
- Debian для бинарного Oracle/SAP/Etc. никто и сейчас не поставит - нет в списке сертифицированных систем с платной поддержкой 24/7.
- Debian с опенсорс и/или Java приложениями, типа DataStax - нет смысла в строгом следовании LSB ABI. Все что надо - работало, работает, и будет работать. Так же как и в FreeBSD, который тоже не следует LSB, но в продакшн широко используется и многим админам нравится.

Ответить | Правка | ^ к родителю #44 | Наверх | Cообщить модератору

169. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 11-Окт-15, 02:49 
>> Печально, что Debian отказывается от его поддержки - тем самым перекрывая себе
>> дорогу в энтерпрайс.
> Бред написали, потому что:
> - Debian для бинарного Oracle/SAP/Etc. никто и сейчас не поставит - нет
> в списке сертифицированных систем с платной поддержкой 24/7.
> - Debian с опенсорс и/или Java приложениями, типа DataStax - нет смысла
> в строгом следовании LSB ABI. Все что надо - работало, работает,
> и будет работать. Так же как и в FreeBSD, который тоже
> не следует LSB, но в продакшн широко используется и многим админам
> нравится.

А причём тут вообще FreeBSD и _Linux_ Standard Base???

Ответить | Правка | ^ к родителю #66 | Наверх | Cообщить модератору

234. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 13-Окт-15, 20:55 
> А причём тут вообще FreeBSD и _Linux_ Standard Base???

А как, по-вашему, "линуксулятор" во фре работает?
У них там LSB-библиотеки, вытащенные из какой-то федоры, ЕМНИП.

Ответить | Правка | ^ к родителю #169 | Наверх | Cообщить модератору

8. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от Тот_Самый_Анонимус on 09-Окт-15, 22:18 
>разработчики которых не желают сформировать специфичные для дистрибутива пакеты

В том и беда, что для каждого крупного дистра нужены

>специфичные для дистрибутива пакеты

И если нужного пакета а репах нет, то всё: либо сам делай, либо обломись. Потому линух на ПК и не преодолеет даже 5%, несмотря на кучу других плюсов.

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

10. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от myhand (ok) on 09-Окт-15, 22:40 
> И если нужного пакета а репах нет, то всё

И какого нужного тебе пакета нет в репах дебиана, болезный?

Ответить | Правка | ^ к родителю #8 | Наверх | Cообщить модератору

12. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от neon1ks (ok) on 09-Окт-15, 22:58 
qucs
Ответить | Правка | ^ к родителю #10 | Наверх | Cообщить модератору

17. "Debian прекращает поддержку стандарта Linux Standard Base"  –3 +/
Сообщение от antitroll on 09-Окт-15, 23:16 
Убунтовский ставится на jessie без бубна, все зависимые либы в jessie есть
Ответить | Правка | ^ к родителю #12 | Наверх | Cообщить модератору

56. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от Аноним (??) on 10-Окт-15, 04:13 
https://packages.gentoo.org/packages/sci-electronics/qucs
Даже ебилдов ждать не нужно!
Ответить | Правка | ^ к родителю #12 | Наверх | Cообщить модератору

24. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от angra (ok) on 10-Окт-15, 00:36 
Начни с простого, посчитай количество пакетов с модулями из CPAN, потом сравни с общим количеством модулей на CPAN. Счет недостающих пакетов будет идти на тысячи, здоровячок.
Ответить | Правка | ^ к родителю #10 | Наверх | Cообщить модератору

30. "Debian прекращает поддержку стандарта Linux Standard Base"  –3 +/
Сообщение от Аноним (??) on 10-Окт-15, 01:23 
Легли под монолитный зондокомбайн SystemD
Передали имущественные права на код
Теперь отказались от стандарта LSB

неладно что-то в Датском королевстве

Ответить | Правка | ^ к родителю #24 | Наверх | Cообщить модератору

42. "Debian прекращает поддержку стандарта Linux Standard Base"  –4 +/
Сообщение от Zenitur (ok) on 10-Окт-15, 03:10 
В Красной хате не лучше. Я считаю что у них - синдром Висты. После успеха 95-й у Гейтса была эйфория. После неудачи 2000 - депрессия. Исследователи назвали причину провала безошибочно: раньше каждый новый год компов продавалось больше, чем за все годы до этого. Поэтому новая версия винды сразу начинала доминировать (даже если она глючная). А тут - действительно хорошая система, но юзеры просто отказываются её покупать! "Спасибо, но нас устраивает предыдущая версия". А новых юзеров не появляется - рынок насытился.

Что они решили? Выпустив XP и кое-как переведя мир на Win2k, они поняли что ещё раз они так сделать не смогут - надорвутся. И тогда они решили ломать совместимость. Расчёт был на то, что весь новый софт чисто теоретически не сможет запуститься на XP, так как не будет использовать Win32 API. Поэтому пользователям XP хочешь-не хочешь, а придётся обновиться. Результат - феерический провал Vista, а XP поддерживалась до 2014 года!

Что же теперь? Отказ от Win32 не случился - напротив, в "восьмёрке" прекрасно работает любой софт от 95-ки, даже в 64-битной! А ставка теперь сделана не на "всем придётся купить новую систему, потому что старая не запускает новые программы", а на новые фичи. Собственно, ради фич новую систему и должны были покупать! А "нет изменений, но вы всё равно купите, пожалуйста".

Red Hat тоже понял что каждый новый релиз покупается всё хуже и хуже, вот и ломает теперь всё, с нетерпением ожидая, чтобы у семёрки было >25%. Тогда энтерпрайзный софт начнёт требовать семёрку, и все массово кинутся обновляться с 4/5/6. Но их ждёт то же, что ждало Microsoft с Вистой.

Ответить | Правка | ^ к родителю #30 | Наверх | Cообщить модератору

49. "Debian прекращает поддержку стандарта Linux Standard Base"  +3 +/
Сообщение от Anonplus on 10-Окт-15, 03:39 
>> Расчёт был на то, что весь новый софт чисто теоретически не сможет запуститься на XP, так как не будет использовать Win32 API.
>> Отказ от Win32 не случился - напротив, в "восьмёрке" прекрасно работает любой софт от 95-ки, даже в 64-битной!

Что-то вы не то говорите. "Этот софт" прекрасно работает и в Висте. В Висте сломали лишь совместимость с драйверами XP. И драйверы от XP точно так же не будут работать и в 7/8/10. Никакого отказа от Win32 не было. Некоторый софт сейчас уже действительно в XP не работает, поскольку, начиная с какой-то из версий Visual Studio, поддержку XP выкинули.

В общем, вы как-то в одну кучу намешали совершенно разные вещи и сделали неверные выводы.

Ответить | Правка | ^ к родителю #42 | Наверх | Cообщить модератору

52. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Zenitur (ok) on 10-Окт-15, 03:54 
>>> Расчёт был на то, что весь новый софт чисто теоретически не сможет запуститься на XP, так как не будет использовать Win32 API.
>>> Отказ от Win32 не случился - напротив, в "восьмёрке" прекрасно работает любой софт от 95-ки, даже в 64-битной!
> Что-то вы не то говорите. "Этот софт" прекрасно работает и в Висте.

Суть в другом. Майкрософт думал что Vista сразу отхапает 25%, и тогда весь популярный софт будет компилиться под неё, а в этом случае совместимость с XP просрана. А значит, остальные 75% не заставят себя долго ждать. Заметь, сейчас совместимость с семёркой никто не ломает - Майкрософт один раз обжёгся на этом, и больше так делать не будет.

> В общем, вы как-то в одну кучу намешали совершенно разные вещи и сделали неверные выводы.

Это было всего лишь моё мнение. Я не брал интервью у Гейтса!

Ответить | Правка | ^ к родителю #49 | Наверх | Cообщить модератору

57. "Debian прекращает поддержку стандарта Linux Standard Base"  +5 +/
Сообщение от angra (ok) on 10-Окт-15, 04:21 
win2k была весьма удачной. Ты путаешь ее и миллениум и похоже совсем не в курсе, про то что до winxp было две параллельных линейки винды. Путаешь переход с winapi на .net c переходом с winxp на vista. Рассказываешь сказки про win8. В общем за знание истории винды незачет.
Ответить | Правка | ^ к родителю #42 | Наверх | Cообщить модератору

62. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от Аноним (??) on 10-Окт-15, 04:51 
> win2k была весьма удачной. Ты путаешь ее и миллениум и похоже совсем
> не в курсе, про то что до winxp было две параллельных
> линейки винды. Путаешь переход с winapi на .net c переходом с
> winxp на vista. Рассказываешь сказки про win8. В общем за знание
> истории винды незачет.

Ты тоже ошибаешься. WinAPI никуда не делся..

А под переходом на win2k, видимо, имелся в виду переход на семейство виндовсов с архитектурой NT.

Ответить | Правка | ^ к родителю #57 | Наверх | Cообщить модератору

136. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от angra (ok) on 10-Окт-15, 20:53 
Ну вот где ты увидел у меня, что winapi куда-то делся? Скажу страшное, даже winxp никуда не делся, его продолжают использовать. Речь шла о тенденциях и векторе развития разработки от мелкомягких.
Ответить | Правка | ^ к родителю #62 | Наверх | Cообщить модератору

224. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Классический анонимус (ok) on 13-Окт-15, 08:35 
winapi очень сильно меняется в каждой версии винды. Причём маразм - api не только расширяется, но и сужается. Некоторые функции, которые были в 2000-winxp, в win7 убрали.
В итоге, писание достаточно низкоуровневой программы (работаем с микрофоном, перехватываем клавиши и тд) под винду - это попаболь. А написать универсальную программу для 2000-win10 это вообще ненаучная фантастика.
Ответить | Правка | ^ к родителю #62 | Наверх | Cообщить модератору

142. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от pkdr (ok) on 10-Окт-15, 22:14 
Это у виндузятников проблема "а как бы нам впарить кому-то свежие продукты нашей жизнедеятельности", а красношляпе, в принципе по барабану, на чём конкретно сидит клиент, так как продают они по факту поддержку и им всё равно капают деньги, заплатил ли клиент за поддержку 7 или заплатил за поддержку 5.

> Тогда энтерпрайзный софт начнёт требовать семёрку, и все массово кинутся обновляться с 4/5/6.

Вообще-то не будет шляпа такого делать, нехилую часть её клиентов составляют именно те, кто хочет один раз поставить систему на сервер и 10 лет его эксплуатировать с минимумом простоя, но при этом ещё иметь актуальные секьюрити-фиксы. Да и уверенность, что имеющееся ПО заработает без малейших проблем даже на современнейшем железе (даже на новейшие серверы, например поколение g8 от HP, пятый редхат становится без малейших проблем).

Ответить | Правка | ^ к родителю #42 | Наверх | Cообщить модератору

232. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 13-Окт-15, 20:52 
> Легли под монолитный зондокомбайн SystemD
> Теперь отказались от стандарта LSB
> неладно что-то в Датском королевстве

Главное забыли - переход с libav на ffmpeg.

> Передали имущественные права на код

Это в убунте было.

Ответить | Правка | ^ к родителю #30 | Наверх | Cообщить модератору

277. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 18-Окт-15, 22:07 
> Это в убунте было.

ты похоже проспал недавние новости


Ответить | Правка | ^ к родителю #232 | Наверх | Cообщить модератору

39. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Аноним (??) on 10-Окт-15, 02:52 
>посчитай количество пакетов с модулями из CPAN, потом сравни с общим количеством модулей на CPAN. Счет недостающих пакетов будет идти на тысячи

Так Perl умирающий язык, всё-равно рано или поздно придётся весь этот хламовник от Perl вычищать из Debian. И в Debian берут только то что используется другими пакетами как зависимость, никто не будет добавлять тысячи пакетов "чтобы было".

Ответить | Правка | ^ к родителю #24 | Наверх | Cообщить модератору

50. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от Аноним (??) on 10-Окт-15, 03:40 
Но никак умереть не может. Как-нибудь под рождество умрёт?
Ответить | Правка | ^ к родителю #39 | Наверх | Cообщить модератору

55. "Debian прекращает поддержку стандарта Linux Standard Base"  +2 +/
Сообщение от angra (ok) on 10-Окт-15, 04:09 
Ну замени умирающий perl на php, ruby, python, nodejs, go или что там у вас сейчас в моде. Суть то не изменится. А если ты такого простого не можешь понять, то объяснять тебе про зависимости смысла нет. У тебя ведь мозг взорвется от такого:
$ apt-cache rdepends libmojolicious-perl
libmojolicious-perl
Reverse Depends:
...
libmojo-server-fastcgi-perl

$ apt-cache rdepends libmojo-server-fastcgi-perl
libmojo-server-fastcgi-perl
Reverse Depends:
  libmojolicious-perl

Ответить | Правка | ^ к родителю #39 | Наверх | Cообщить модератору

58. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 10-Окт-15, 04:25 
>Ну замени умирающий perl на php, ruby, python, nodejs, go

Перечислены языки которые являются примерно таким же хламом как и perl, соответственно и отправятся эти языки в своё время туда же куда и perl.

Ответить | Правка | ^ к родителю #55 | Наверх | Cообщить модератору

64. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 10-Окт-15, 04:52 
>>Ну замени умирающий perl на php, ruby, python, nodejs, go
> Перечислены языки которые являются примерно таким же хламом как и perl, соответственно
> и отправятся эти языки в своё время туда же куда и
> perl.

Ещё один адепт "Уверуй в Истинный Язык!"?

Ответить | Правка | ^ к родителю #58 | Наверх | Cообщить модератору

128. "Debian прекращает поддержку стандарта Linux Standard Base"  –4 +/
Сообщение от Аноним (??) on 10-Окт-15, 17:35 
Дело не в истинности, дело в том что perl, php, ruby, python, nodejs, go - тормозное г@вно, которое просто не надо было создавать.
Ответить | Правка | ^ к родителю #64 | Наверх | Cообщить модератору

137. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от angra (ok) on 10-Окт-15, 20:56 
Только ассемблер, только хардкор? Или сделаешь милость и позволишь тормозному С существовать.
Ответить | Правка | ^ к родителю #128 | Наверх | Cообщить модератору

82. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от YetAnotherOnanym (ok) on 10-Окт-15, 11:27 
> таким же хламом как и perl

:D

Ответить | Правка | ^ к родителю #58 | Наверх | Cообщить модератору

85. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от myhand (ok) on 10-Окт-15, 11:45 
> Начни с простого, посчитай количество пакетов с модулями из CPAN, потом сравни
> с общим количеством модулей на CPAN.

Я немного о другом спрашивал.

> Счет недостающих пакетов будет идти на тысячи, здоровячок.

А не задумывался что это множество может совпадать с никому не нужными нафиг проектами на CPAN?

Ответить | Правка | ^ к родителю #24 | Наверх | Cообщить модератору

138. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от angra (ok) on 10-Окт-15, 20:59 
Что за детский эгоцентризм? Повзрослей уже и перестань ставить знак равенства между своими нуждами и нуждами всего остального человечества.
Ответить | Правка | ^ к родителю #85 | Наверх | Cообщить модератору

141. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от myhand (ok) on 10-Окт-15, 21:52 
> Повзрослей уже и перестань ставить знак равенства между
> своими нуждами и нуждами всего остального человечества.

И каким образом туча никому не нужных модулей на CPAN отражают
нужды человечества?  Человечество походу в основном о них просто не знает...

Наличие модуля в дистрибутиве - вполне объективный показатель нужности.  Если нужного вам
модуля в репах нет - давайте уже в студию его ФИО и будем разбираться почему его нет.

Ответить | Правка | ^ к родителю #138 | Наверх | Cообщить модератору

150. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от angra (ok) on 10-Окт-15, 23:03 
Ладно, поясню как законченному эгоцентристу. Есть ты, которому никогда не были нужны модули CPAN, неопакеченные ментейнерами дебиана. Есть я, которому были нужны десятки таких модулей. Остальное человечество оставим в стороне. Итого, в половине случаев такие модули нужны, но не имеют пакетов.
Ответить | Правка | ^ к родителю #141 | Наверх | Cообщить модератору

152. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от myhand (ok) on 10-Окт-15, 23:30 
> Есть ты. Есть я

В любом случае - куцая статистика для выводов.

Ответить | Правка | ^ к родителю #150 | Наверх | Cообщить модератору

162. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от angra (ok) on 11-Окт-15, 01:00 
Ну тебе хватало одного себя, чтобы делать мощные выводы о ненужности чего-либо вообще никому.
Наличие или отсутствие пакета в дистре говорит не о его нужности/ненужности, а о наличии того, кто готов взять на себя труд создать и в дальнейшем поддерживать в актуальном состоянии этот пакет. И это в случае свободного софта, а для проприетари есть еще вопрос легальной возможности создать и распространять пакет с софтом.
Ответить | Правка | ^ к родителю #152 | Наверх | Cообщить модератору

188. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от myhand (ok) on 11-Окт-15, 12:05 
> Ну тебе хватало одного себя, чтобы делать мощные выводы о ненужности чего-либо
> вообще никому.

Вот потому я таких глупостей и не делаю, в отличие от.

> Наличие или отсутствие пакета в дистре говорит не о его нужности/ненужности

Говорит, конечно.  Раз есть - значит точно кому-то нужен.

> о наличии того, кто готов взять на себя труд создать и
> в дальнейшем поддерживать в актуальном состоянии этот пакет.

Да, и о том что ему нужен.

Ответить | Правка | ^ к родителю #162 | Наверх | Cообщить модератору

203. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от angra (ok) on 11-Окт-15, 19:24 
Ты дурачок или так умело им прикидываешься? В контексте обсуждения вроде должно быть ясно, что речь идет о том, что отсутствие пакета не означает его ненужности.
Ответить | Правка | ^ к родителю #188 | Наверх | Cообщить модератору

220. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от myhand (ok) on 12-Окт-15, 20:20 
> отсутствие пакета не означает его ненужности.

Сами сделали глупый вывод - сами его опровергли.  Лепота.

Ответить | Правка | ^ к родителю #203 | Наверх | Cообщить модератору

218. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Michael Shigorin email(ok) on 12-Окт-15, 18:09 
> Начни с простого, посчитай количество пакетов с модулями из CPAN

Ну в альте написали импорт, если вдруг кому-то нужен весь собирающийся на линуксе CPAN: https://lists.altlinux.org/pipermail/devel/2013-July/197587....

Ответить | Правка | ^ к родителю #24 | Наверх | Cообщить модератору

37. "Debian прекращает поддержку стандарта Linux Standard Base"  +2 +/
Сообщение от Аноним (??) on 10-Окт-15, 02:47 
>И какого нужного тебе пакета нет в репах дебиана, болезный?

deadbeef нет, хотя тут проблема не в Debian, а в том что у deadbeef автор слегка на своей волне, примерно так же как и ты на своей волне с "выпускниками технических университетов-пту".

Ответить | Правка | ^ к родителю #10 | Наверх | Cообщить модератору

86. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от myhand (ok) on 10-Окт-15, 11:49 
>>И какого нужного тебе пакета нет в репах дебиана, болезный?
> deadbeef нет

О ужас, в Debian нет проигрывалки музЫки...

Ответить | Правка | ^ к родителю #37 | Наверх | Cообщить модератору

70. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Тот_Самый_Анонимус on 10-Окт-15, 07:08 
Мне всё равно до дебиана. Даже не ставил никогда.

Я о той проблеме, что для каждого дистра надо пилить свой отдельный пакет. Идёт фрагментация линуха даже в пределах одной версии ядра. Если для винды один установщик будет работать в пределах трёх-четырёх версий, то такие же условия для линуха невозможны (для каждой версии — свой пакет).

А если говорить о пакетах, то мне не хватает оригинального OO.

Ответить | Правка | ^ к родителю #10 | Наверх | Cообщить модератору

88. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от myhand (ok) on 10-Окт-15, 11:58 
> Я о той проблеме, что для каждого дистра надо пилить свой отдельный пакет.

Почему?  deb/rpm.  Внутри каждого семейства - есть стандарты, которые стараются соблюдать.

Это не супер, конечно, но судя по статистике - проблема в том что LSB просто не используют.  

> А если говорить о пакетах, то мне не хватает оригинального OO.

Вы некрофил?

Ответить | Правка | ^ к родителю #70 | Наверх | Cообщить модератору

89. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 10-Окт-15, 12:05 
Использую! Помнишь первые несколько Humble Bundle? Три вкладки: Windows, Mac OS, Linux, ниже - ещё две вкладки: Direct Link и Torrent. В Linux - при кнопки: RPM, DEB, tar.gz. В некоторых случаях слева - переключатель 32-bit/64-bit. Так вот, эти игрушки до сих пор работают. Ибо LSB.

Потом были разные порты игр. Те, что делал Icculus, работают и сейчас. Те, что делали разработчики игр сами, сейчас имеют проблемы в работе. Не знаю как у всех, но лично у меня некоторые игры требуют либ, которые давно устарели, и в дистрибутивы не кладутся. Вместо них лежат такие же, но на новом ABI. Это не тру. И вот почему нужен LSB.

Ответить | Правка | ^ к родителю #88 | Наверх | Cообщить модератору

172. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от arisu (ok) on 11-Окт-15, 07:59 
отрадно наблюдать страдания юзера проприетарщины.
Ответить | Правка | ^ к родителю #89 | Наверх | Cообщить модератору

231. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от Аноним (??) on 13-Окт-15, 20:50 
> отрадно наблюдать страдания юзера проприетарщины.

Да вам любые страдания наблюдать отрадно, так ведь? ;)

Ответить | Правка | ^ к родителю #172 | Наверх | Cообщить модератору

240. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от arisu (ok) on 13-Окт-15, 21:19 
конечно: совершенно неважно, как страдает проприерастная подстилка.
Ответить | Правка | ^ к родителю #231 | Наверх | Cообщить модератору

243. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 13-Окт-15, 21:22 
> конечно: совершенно неважно, как страдает проприерастная подстилка.

И даже совсем не важно, проприерастная это подстилка, или нет.

Ответить | Правка | ^ к родителю #240 | Наверх | Cообщить модератору

94. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Тот_Самый_Анонимус on 10-Окт-15, 12:19 
>Внутри каждого семейства - есть стандарты, которые стараются соблюдать.

Семейства! Для каждой версии — новый пакет. Эта политика не позволяет свободным разработчикам _самостоятельно_ поддерживать пакеты под несколько версий одного только дебиана. А дистров, что собак нерезанных. В результате тратится много ресурсов, и разработчики не всегда сами собирают пакеты.

Тот же OO ставится на винды версий от хп до 10-ки.

>Вы некрофил?

Нет. А вы?

Ответить | Правка | ^ к родителю #88 | Наверх | Cообщить модератору

98. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от myhand (ok) on 10-Окт-15, 12:23 
>>Внутри каждого семейства - есть стандарты, которые стараются соблюдать.
> Семейства! Для каждой версии — новый пакет.

Да нет, совершенно не обязательно.

> Эта политика не позволяет свободным
> разработчикам _самостоятельно_ поддерживать пакеты под несколько версий одного только дебиана.

Теоретик?

>>Вы некрофил?
> Нет.

А почему так похожи?

Ответить | Правка | ^ к родителю #94 | Наверх | Cообщить модератору

108. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 10-Окт-15, 13:35 
Ну т.е. если не получится поставить пакет 3 летней давности потому, что совместимых версий зависимостей в диструэибутиве нет, ты своей жопой ответишь за слова?

> Теоретик?
> Некрофил?
> А почему так похож?

Один дурак может задать столько вопросов, что не ответит тысяча мудрецов. Осебенно, если эти вопросы не по теме.

Ответить | Правка | ^ к родителю #98 | Наверх | Cообщить модератору

117. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от myhand (ok) on 10-Окт-15, 15:02 
> Ну т.е. если не получится поставить пакет 3 летней давности потому, что
> совместимых версий зависимостей в диструэибутиве нет, ты своей жопой ответишь за слова?

Да, конечно.  Если сперва ты мне докажешь что LSB эту проблему решает.

>> Теоретик?
>> Некрофил?
>> А почему так похож?
> Осебенно, если эти вопросы не по теме.

Я бы не сказал что "не по теме".  Первый эпитет - отражает насколько поциент
знаком с тем как обстоит дело с совместимостью в Debian (вовсе не так плохо).

Второй - использование OO.  Некрофилия как она есть.


Ответить | Правка | ^ к родителю #108 | Наверх | Cообщить модератору

119. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Тот_Самый_Анонимус on 10-Окт-15, 15:28 
>Если сперва ты мне докажешь что LSB эту проблему решает.

Доказывать что на ОДНУ ВЕРСИЮ программы в РАЗНЫХ версиях lbcnhb,enbdf kbye[f могут быть РАЗНЫЕ пакеты? Да сплошь и рядом!

>Второй - использование OO.  Некрофилия как она есть.

Я не нуждаюсь в диагнозах некомпетентных людей. Свои бурные фантазии при себе оставьте. Факт остаётся фактом: для разных дистров и версий дистров — разные пакеты, что делает заявление, что на линухе можно любую прогу, главное исходники бы были, не совсем честной. Запустить-то может и можно, но нередко придётся и с бубном потанцевать, в то время как в венде всё работает.

Так яснее? Или снова будет недодиагноз?

Ответить | Правка | ^ к родителю #117 | Наверх | Cообщить модератору

126. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от myhand (ok) on 10-Окт-15, 17:05 
>>Если сперва ты мне докажешь что LSB эту проблему решает.
> Доказывать что [...бредогенерация...]

Нет.  Доказать, что LSB решает проблему совместимости даже в отдельно взятом дистрибутиве.

Это всего-лишь куцый стандарт, который не решает проблему совместимости даже
для десятой доли архива Debian, если быть оптимистом.

>>Второй - использование OO.  Некрофилия как она есть.
> Я не нуждаюсь в диагнозах некомпетентных людей.

У "компетентных" кончились аргументы и они начали какашками кидаться?

> что делает заявление, что на линухе можно любую прогу

Можно любую прогу что?

Ответить | Правка | ^ к родителю #119 | Наверх | Cообщить модератору

132. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Тот_Самый_Анонимус on 10-Окт-15, 18:37 
>Это всего-лишь куцый стандарт, который не решает проблему совместимости даже

для десятой доли архива Debian, если быть оптимистом.

Мне плевать на дебиан. Я говорю о Линуксе в целом. Отсутствие общих стандартов делает малоудобным использование старых программ (которое вы, в силу своих сексуальных проблем называете некрофилией). В винде нет таких проблем.

Я опять приведу вам в пример винду, где почти всё, что писалось даже для вин2000 работает до сих пор (кроме драйверов и очень уж специфичных вещей).

Если вам нужен пример, то почитайте форумы про запуск нативных героев 3 РоЕ. Так прям инструкции выкладывают от того, что поддержки нет.

>У "компетентных" кончились аргументы и они начали к@к@шк@ми кидаться?

Видимо так. Какими словами ещё описать ваши откровения вида:

>некрофилия
>[...бредогенерация...]

Явно тут прослеживается мощь интеллекта и воспитанность, впитанная с молоком матери.
Кстати, пришлось вашу цитату подправить, ибо фильтр опеннета не позволяет анонимам быть такими же хамами, как зарегистрированным пользователям.

>Можно любую прогу что?

Запустить. С запуском программ, которых нет в репах, у обычных пользователей нехилые проблемы.

Ответить | Правка | ^ к родителю #126 | Наверх | Cообщить модератору

133. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от myhand (ok) on 10-Окт-15, 20:05 
>>Это всего-лишь куцый стандарт, который не решает проблему совместимости даже
>>для десятой доли архива Debian, если быть оптимистом.
> Мне плевать на дебиан. Я говорю о Линуксе в целом.

Так экстраполяция на весь Линукс будет только хуже, соответственно.

> Отсутствие общих
> стандартов делает малоудобным использование старых программ (которое вы, в силу своих
> сексуальных проблем называете некрофилией).

Некрофилией я называю использование заброшенных проектов, а не
просто "старых программ".  Со старыми программами - все пучком.  Тянем
исходники, собираем и поем.  Да, это работает иначе чем в виндофс, но
работает надежно.

LSB - прежде всего для пропиетарного софта.  Как оно оказалось востребованым - см.
статистику в тексте топика.  Проблемы с совместимостью для ПО дистрибутива - LSB
не решает от слова вообще, т.к. учитывает самый мизер необходимых пакетам зависимостей.

> В винде нет таких проблем.

Сборка чего либо в виндофс - отдельная песня.

> Я опять приведу вам в пример винду, где почти всё, что писалось
> даже для вин2000 работает до сих пор (кроме драйверов и очень
> уж специфичных вещей).

Последний раз, когда я с этой гадостью сталкивался - "специфичной вещью" оказалась
Mathematica.  Кстати, в Linux оное без проблем работало на протяжении трех релизов
Debian.  Это сколько в поп^Wвиндовсах?

> Если вам нужен пример, то почитайте форумы про запуск нативных героев 3
> РоЕ. Так прям инструкции выкладывают от того, что поддержки нет.

Ну так и у меня в Linux герои работают, самые нативные из нативных.

>>Можно любую прогу что?
> Запустить. С запуском программ, которых нет в репах

А почему их нет в репах?

Ответить | Правка | ^ к родителю #132 | Наверх | Cообщить модератору

143. "Debian прекращает поддержку стандарта Linux Standard Base"  –2 +/
Сообщение от Тот_Самый_Анонимус on 10-Окт-15, 22:15 
>Некрофилией я называю использование заброшенных проектов, а не просто "старых программ".

У слова есть конкретное значение. Остальное — фантазии.

Да и оценка заброшенности необъективна, ибо в мире СПО на многие продукты годами может не выходить обновлений. Я же лично сам недавно отсылал баг ОО, и получил ответ разработчика.

>LSB - прежде всего для пропиетарного софта.

И тем не менее. Я не говорю что нужен именно этот стандарт. Я говорю что нужна хоть какая-то унификация, чтобы можно было делать универсальные пакеты... Или мне просто кажется?

>А почему их нет в репах?

Как мне говорят на форумах «нет желающих поддерживать». Однако не у всех пользователей (у меня, к примеру) хватит квалификации самим создать пакет.

Ответить | Правка | ^ к родителю #133 | Наверх | Cообщить модератору

161. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от myhand (ok) on 11-Окт-15, 00:59 
> Да и оценка заброшенности необъективна

Не хочу спорить, т.к. смотрю на LO и OO исключительно со стороны.  Слухи ходят, что
разработчики с OO сбежали, может после того как оракел скинул проект под
крылышко апача - ситуация переменилась.

> Я говорю что нужна хоть какая-то унификация, чтобы можно было делать
> универсальные пакеты...

А смысл в унификации, которая все равно де-факто не работает?

>>А почему их нет в репах?
> Как мне говорят на форумах «нет желающих поддерживать».

На каких конкретно "форумах"?

> Однако не у всех
> пользователей (у меня, к примеру) хватит квалификации самим создать пакет.

Зависит от.  Для модулей CPAN, к примеру - это шаблонное действие.

Ответить | Правка | ^ к родителю #143 | Наверх | Cообщить модератору

178. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Тот_Самый_Анонимус on 11-Окт-15, 08:14 
>А смысл в унификации, которая все равно де-факто не работает?

А другая есть вообще? Хоть какая-нибудь?
А то как только идёт новость о внедрении линух в госучреждения, то появляется куча «специалистов», которые даже понятия не имеют о поддержке и сопровождении. Даже простого понимания, что отсутствие стандарта уже сокращает выбор дистра, у них нет.

Как-то, лет 10 назад, участвовал в переводе парка маших с вин98 на винХП. Получилось завести все самописные программы, у которых исходники давно были утеряны. Среди них были и досовские, с фокспрошной базой, и на VBA написанные, которые нужно было между версиями офиса прокинуть (между 97 и 2003). Всё заработало.
В линухе бы хз как провернул бы...

>На каких конкретно "форумах"?

АльтЛинуха. Когда-то спрашивал про наличие того или иного продукта, который в репах абанты был, а в альтовских нет.

Ответить | Правка | ^ к родителю #161 | Наверх | Cообщить модератору

189. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от myhand (ok) on 11-Окт-15, 12:19 
>>А смысл в унификации, которая все равно де-факто не работает?
> А другая есть вообще? Хоть какая-нибудь?

Лучше плохую и никем не используемую, потому что потому?!

> А то как только идёт новость о внедрении линух в госучреждения, то
> появляется куча «специалистов», которые даже понятия не имеют о поддержке и
> сопровождении. Даже простого понимания, что отсутствие стандарта уже сокращает выбор дистра,
> у них нет.

Никакое отсутствие стандартов мне не запрещает запускать древние приложения под Linux.  Не было
просто LSB во время их написания/портирования...

Да и зачем госучереждениям упала бинарная совместимость?  Mathematica запускать?!  Не
жирно будет?  Для местного легаси-гуано ("без исходников") из виндовс - есть вайн.

> В линухе бы хз как провернул бы...

В "линухе"  есть исходники.

>>На каких конкретно "форумах"?
> АльтЛинуха.

Не удивляюсь что у местечкового дистрибутива "нет желающих".  Не нужен, вот и.

Ответить | Правка | ^ к родителю #178 | Наверх | Cообщить модератору

200. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Тот_Самый_Анонимус on 11-Окт-15, 17:40 
>Лучше плохую и никем не используемую, потому что потому?!

Нет. Вменяемую, конечно же. Но не предвидится. Потому и 2% рынка...

>Никакое отсутствие стандартов мне не запрещает запускать древние приложения под Linux.  Не было просто LSB во время их написания/портирования...

Не запрещает. Но, во многих случаях, нужны танцы с бубном, которые не все осилят.

>В "линухе"  есть исходники.

Опять же, не все умеют собирать из исходников.

>Не удивляюсь что у местечкового дистрибутива "нет желающих".  Не нужен, вот и.

В дебиане XnView MP и OO в официальных дистрах? Или они добавляются, потому что сам разработчик позаботился о ПОПУЛЯРНОМ дистре? Когда сам разработчик подсуетился, я не считаю, ибо решение не универсально для всех остальных. А в винде будет работать, что в хп, что в 10-ке.

Ответить | Правка | ^ к родителю #189 | Наверх | Cообщить модератору

222. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от myhand (ok) on 12-Окт-15, 20:22 
> Потому и 2% рынка...

Какие еще 2%?!

>>Никакое отсутствие стандартов мне не запрещает запускать древние приложения под Linux.  Не было просто LSB во время их написания/портирования...
> Не запрещает. Но, во многих случаях, нужны танцы с бубном

А можно не рассказывать про вкус устриц тому, кто их на самом деле ел?

>>В "линухе"  есть исходники.
> Опять же, не все умеют собирать из исходников.

Аллилуйя!

>>Не удивляюсь что у местечкового дистрибутива "нет желающих".  Не нужен, вот и.
> В дебиане XnView MP и OO в официальных дистрах?

В дебиане есть LO вместо OO.  Т.к. в правилах дистрибутива отдельно оговаривается, что
дохлые проекты в архив не берут.

Должен быть живой проект и он должен быть хоть кому-то нужен.  Не такие уж большие
требования чтобы оказаться в архиве.

> Когда сам разработчик
> подсуетился, я не считаю, ибо решение не универсально для всех остальных.

Т.е. в Windows так можно, а тут почему-то разработчикам запрещается паковать для дистрибутивов?

Ответить | Правка | ^ к родителю #200 | Наверх | Cообщить модератору

139. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от angra (ok) on 10-Окт-15, 21:35 
> Мне плевать на дебиан. Я говорю о Линуксе в целом. Отсутствие общих
> стандартов делает малоудобным использование старых программ (которое вы, в силу своих
> сексуальных проблем называете некрофилией). В винде нет таких проблем.
> Я опять приведу вам в пример винду, где почти всё, что писалось
> даже для вин2000 работает до сих пор (кроме драйверов и очень
> уж специфичных вещей).

Хочешь я открою тебе секрет, как это делается? Все очень просто, там каждая прога таскает с собой нужные либы и/или статически их линкует. Ты удивишься, но в линуксе ты можешь сделать точно также, man ld.so в помощь. Кроме того есть несколько системных либ, которые для многих прог под винду ставить отдельно. Не пораженные избирательным склерозом виндузятники обязательно вспомнят Visual C++ Redistributable разных годов, пакеты directx, которые зачастую надо индивидуально ставить для каждой игрушки, ну и конечно .NET разных версий. И это не говоря про целую кучу проблем совместимости, которые обсуждаются виндузятниками между собой, но мгновенно забываются, когда надо рассказать сказку про то, что в винде все работает.

Ответить | Правка | ^ к родителю #132 | Наверх | Cообщить модератору

144. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Тот_Самый_Анонимус on 10-Окт-15, 22:18 
>И это не говоря про целую кучу проблем совместимости, которые обсуждаются виндyзятниками между собой, но мгновенно забываются, когда надо рассказать сказку про то, что в винде все работает.

Я столько раз сделал оговорку что ПОЧТИ всё, чтобы такие, как вы не придирались. Но это ПОЧТИ вы не заметили. Я в курсе проблем виндовых. В конце концов я не говорил что венда идеальна. Проблемы винды не отменяют косяков линукса.

Ответить | Правка | ^ к родителю #139 | Наверх | Cообщить модератору

147. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 10-Окт-15, 22:36 
Почти не считается. В винде xp работает, в 7 рушит систему. Таких программ кучи.
Ответить | Правка | ^ к родителю #144 | Наверх | Cообщить модератору

149. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от angra (ok) on 10-Окт-15, 22:56 
Только есть важный момент. Почти у всех программ есть указанные мной особенности переносимости, а ты говоришь, что почти у всех их нет. Забей в гугл "not valid win32 application" и посмотри на количество результатов. А ведь это только одна из особенностей и только в том случае, когда юзер ее заметил, пошел сам искать решение, но при этом не воспользовался поисковиком.
Ответить | Правка | ^ к родителю #144 | Наверх | Cообщить модератору

173. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Тот_Самый_Анонимус on 11-Окт-15, 08:02 
Каждый судит со своей колокольни. Мне в винде ни одной программы не попадалось, которая работала бы в хп, а в 7-ке не работала. Зато обратная ситуация была: ну нет в репах ОО или XnViewMP, и всё, либо всё ручками настраивай, либо обходись.
Ответить | Правка | ^ к родителю #149 | Наверх | Cообщить модератору

202. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от angra (ok) on 11-Окт-15, 19:16 
Ну я же говорю, избирательный склероз. Крайне распространенная болезнь на форумах.
Ответить | Правка | ^ к родителю #173 | Наверх | Cообщить модератору

206. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Тот_Самый_Анонимус on 11-Окт-15, 21:13 
Это опыт. По работе не сталкивался (хотя знаю что такое бывает), а с линухом — было дело.

Что вы пытаетесь доказать? Что у венды есть проблемы с совместимостью? Я этого не отрицал. Просто в моём опыте в линухе эта проблема куда как более чаще встречается. Особено если дистр не совсем популярен. Т.е. каждый пилит свою среду, вместо того, чтобы быть единым фронтом.

Ответить | Правка | ^ к родителю #202 | Наверх | Cообщить модератору

208. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от angra (ok) on 11-Окт-15, 22:51 
Ну выберите популярный дистрибутив и воспринимайте его как замену винде. А то у вас как то странно, жалуетесь на существование множества дистров и при этом хотите выбрать непопулярный и чтобы в нем все было. Неужели непонятно, что дистры существуют как раз потому, что их создатели не хотят делать все так как другие, хотят идти своим путем. Если сделать кишки всех дистров одинаковыми, то чем они будут различаться кроме выбора дефолтного DE и обоев?
Ответить | Правка | ^ к родителю #206 | Наверх | Cообщить модератору

211. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Тот_Самый_Анонимус on 12-Окт-15, 07:37 
>воспринимайте его как замену винде

Т.е. не весь линух должен быть заменой, а отдельная часть? Т.е. фрагментация линуха, о чём я и говорил.

>Неужели непонятно, что дистры существуют как раз потому, что их создатели не хотят делать все так как другие, хотят идти своим путем.

Даже самые популярные дистры друг с другом не совместимы. Потому и нужны стандарты (не конкретно этот, а вообще).

>Если сделать кишки всех дистров одинаковыми, то чем они будут различаться кроме выбора дефолтного DE и обоев?

Унификация должна быть разумной, не? Отличия должны быть, но и клепать под каждую задачу свой дистр (а здесь новостей, про такие дистры навалом), тоже нет смысла.

Ответить | Правка | ^ к родителю #208 | Наверх | Cообщить модератору

216. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Mihail Zenkov (ok) on 12-Окт-15, 13:22 
> Даже самые популярные дистры друг с другом не совместимы. Потому и нужны
> стандарты (не конкретно этот, а вообще).

В целом, набор основных пакетов схож, что уже можно считать своего рода стандартом. FHS тоже обычно передерживаются.

Различия в флагах сборки, патчах, пакетных системах и естественно в версиях софта и библиотек.

>>Если сделать кишки всех дистров одинаковыми, то чем они будут различаться кроме выбора дефолтного DE и обоев?
> Унификация должна быть разумной, не?

Приведите ваши критерии разумной унификации.

> Отличия должны быть, но и клепать под
> каждую задачу свой дистр (а здесь новостей, про такие дистры навалом),
> тоже нет смысла.

Уже есть несколько универсальных дистрибутивов, нет смысла делать новые универсальные дистрибутивы. Но дистрибутивы фокусирующиеся на определенных задачах нужны, так как позволяют отказаться от ограничений накладываемых универсальностью и сфокусироваться на оптимальном решении конкретной задачи: OpenWrt/RIPLinux/RetroPie/etc.

Ответить | Правка | ^ к родителю #211 | Наверх | Cообщить модератору

145. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 10-Окт-15, 22:33 
Да, запустить в винде можно, только работать не везде.
Ответить | Правка | ^ к родителю #132 | Наверх | Cообщить модератору

40. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от Zenitur (ok) on 10-Окт-15, 02:58 
Сначала они кричат "LSB не нужен! Я компилирую свой софт в Linux Mint 17, и у меня всё работает! А у кого не работает - вы все ненормальные, и юзаете ненормальные дистры!". А потом выясняется, что не только в других дистрах, но и в том же Mint на одну версию старше всё отвалилось, так как системообразующие либы поменяли ABI. И тогда они кричат "нет стандартов, всё плохо, ужасный линукс, нет, всё, портирования новых версий не будет!"
Ответить | Правка | ^ к родителю #8 | Наверх | Cообщить модератору

163. "Debian прекращает поддержку стандарта Linux Standard Base"  +2 +/
Сообщение от Crazy Alex (ok) on 11-Окт-15, 01:06 
Какие проблемы со сменой ABI в открытом софте? Вопрос одной пересборки - и выкладывания нового пакета, да. Учитывая, что популярных дстрибутива полторы штуки - не проблема вообще. Пользователи остальных уж как-нибудь разберутся, им не впервой. А если вы о проприетарщине заботитесь - то пройдите лесом, товарищ.
Ответить | Правка | ^ к родителю #40 | Наверх | Cообщить модератору

116. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от kravich (ok) on 10-Окт-15, 14:52 
Ты все правильно написал
Ответить | Правка | ^ к родителю #8 | Наверх | Cообщить модератору

20. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от robux (ok) on 09-Окт-15, 23:34 
Судя по описанию стандарта:

> Стандарт LSB (Linux Standard Base), определяет единые для всех
> Linux-дистрибутивов правила, средства разработки, бинарные
> интерфейсы и библиотеки. Поддержка LSB позволяет обеспечить
> возможность выполнения продукта в любом LSB-совместимом
> дистрибутиве Linux, без внесения в него специфичных для каждой
> системы изменений.

https://www.opennet.ru/opennews/art.shtml?num=42360

Отказ от него - не очень хорошо,
ибо бинарные приложения Debian перестанут запускаться на других дистрибутивах Linux без перекомпиляции с соотвествующими путями.

Голактеко опасносте!

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

21. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от vitalif (ok) on 09-Окт-15, 23:37 
По описанию да, а по факту он по-моему сдох уже давно...

Толку от стандарта, которым никто не пользуется?

Ответить | Правка | ^ к родителю #20 | Наверх | Cообщить модератору

23. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от slavius on 10-Окт-15, 00:33 
ну между рпм дистрами кой какая совместимость все же есть и по сей день, разве что suse подкачала. я вот из федорки еще в мандриву ставил и ниче все ок. из красеой шапки в тож в мандриву и все ок. хотя они конечно близкородственные. а вот если дебианоподобные поломают совместимость по интерфейсам... то ж о па)) будет 2 базы исходников , а то и 3 . между деб пакетами и рпм, ну еще убунтята выделятся. и начнется ад для сборщиков и писателей ))) потому как они тогда будут именно что писать, а не кодить))
Ответить | Правка | ^ к родителю #21 | Наверх | Cообщить модератору

25. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от angra (ok) on 10-Окт-15, 00:39 
У debian есть alien, позволяющий конвертить rpm в dpkg. Так что дебианщиками даже проще, чем любителям скрещивать rpm дистры.
Ответить | Правка | ^ к родителю #23 | Наверх | Cообщить модератору

27. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от Stax (ok) on 10-Окт-15, 00:59 
Вы так говорите, будто alien не умеет из dpkg делать rpm.

Только качество подобных преобразований с учетом разницы путей (/usr/lib64 в RH против /usr/lib в дебиане), скриптов инициализации (до прихода systemd, во всяком случае) и прочего не слишком велика. Про конфликты версий библиотек я уж не говорю.

Бред это все, в 2015 году проще поставить нужную версию нужного дистрибутива в каталоге и пускать прогу в нем через docker или systemd-nspawn, если под основной используемый ее нет.

Ответить | Правка | ^ к родителю #25 | Наверх | Cообщить модератору

35. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от slavius on 10-Окт-15, 02:43 
что правда то правда alien усть и в рпм дистрах если че. лично пользовал как то раз. но да несовместимость библиотек это болезнь. точнее их путей и названий. пришлось малость поиграть.
Ответить | Правка | ^ к родителю #27 | Наверх | Cообщить модератору

53. "Debian прекращает поддержку стандарта Linux Standard Base"  –3 +/
Сообщение от Zenitur (ok) on 10-Окт-15, 03:59 
Это точно! Мы наблюдаем последние дни, когда можно создатьтакой бинарник, который подходит к абсолютно любому дистру! Теперь хочешь-не хочешь, а компиляй два: для всего Linux, и отдельно для Debian.
Ответить | Правка | ^ к родителю #23 | Наверх | Cообщить модератору

54. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Zenitur (ok) on 10-Окт-15, 04:05 
> По описанию да, а по факту он по-моему сдох уже давно...
> Толку от стандарта, которым никто не пользуется?

Ты реально представляешь себе человека, который строить билд-ферму на базе убер-современного дистра? Для наибольшей совместимости со всеми дистрами, всегда берут немного устаревший дистр. А совместимость между старым и новым обеспечивает как раз-таки LSB!

Не будет LSB - не будет обратной совместимости между Debian 8 и 9, и Ubuntu 15.10 и 16.04. Потому что (в частности) Glib 2.50 не сможет гарантированно запускать софт, скомпиленный с Glib 2.40.

Ответить | Правка | ^ к родителю #21 | Наверх | Cообщить модератору

225. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от freehck email(ok) on 13-Окт-15, 13:15 
Я Вам открою глаза на некоторые вещи: билд фермы строятся на базе любого дистра, и собирают под любой дистр.

Алгоритм их работы простой: разворачивается минимальное окружение целевой системы, в неё устанавливаются сборочные зависимости пакета, после чего в это минимальное окружение делается chroot и выполняется сборка.

Вопрос лишь в том, что потребуется дополнительно прописать зависимости для каждого дистра, будь то rhel/centos, fedora, debian/astra или вовсе какая-нибудь solaris. Их, увы, может быть конечно довольно много, но выяснить их итеративным путём запуска сборок и анализа выявленных проблем, не представляется очень сложной задачей. Единожды выявив эти зависимости, потребуется лишь небольшая корректировка зависимостей при выпуске версии под новую платформу.

Что касается LSB, то для зависимостей продукта он обычно слишком избыточен, так что в условиях столь простой подгонки зависимостей многие предпочитают им попросту не заморачиваться.

Ответить | Правка | ^ к родителю #54 | Наверх | Cообщить модератору

28. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Stax (ok) on 10-Окт-15, 01:01 
> Отказ от него - не очень хорошо,
> ибо бинарные приложения Debian перестанут запускаться на других дистрибутивах Linux без
> перекомпиляции с соотвествующими путями.
> Голактеко опасносте!

Эта радость тащит в систему Qt3 и прочий шлак. Оно надо?

Хотя тот же гуглохром или google-musicmanager хотят LSB по зависимостям :(

Ответить | Правка | ^ к родителю #20 | Наверх | Cообщить модератору

47. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Zenitur (ok) on 10-Окт-15, 03:33 
> Эта радость тащит в систему Qt3 и прочий шлак. Оно надо?

А кому-то оно мешает? Либа же не висит в памяти, если не пользуешься софтом, от неё зависящим!

Ответить | Правка | ^ к родителю #28 | Наверх | Cообщить модератору

51. "Debian прекращает поддержку стандарта Linux Standard Base"  +15 +/
Сообщение от Zenitur (ok) on 10-Окт-15, 03:51 
Суть LSB: даже если сейчас актуальна libpng17, то в /usr/lib ОБЯЗАНА лежать также и libpng12, ибо стандарт. Даже если ни одна программа из репозитория старой либой не пользуется - только ты полезешь в интернет и скачаешь скайп или флеш плеер, как либа сразу начнёт использоваться.

Две либы - это в случае, если ABI менялся. А если ABI не менялся, то железобетонно обязана быть обратная совместимость. Скомпиленная с Glibc 2.4 программа обязана нормально работать с Glibc 2.22. С GTK+ 2.10 - в 2.24. С Freetype 2.2 - в 2.6. Всю эту тягомотину с обратной совместимостью в этих либах, уверенно тащит на себе Red Hat, а вовсе не Debian.

Так что окружение сборки имеет значение. Берём для примера игру TuxRacer. Исходные коды 2005 года, плюс набор патчей для совместимости с новыми компиляторами.

Компилируем в CentOS 5. Попробуем потом запустить в Ubuntu 12.04. О, чудо! Оно работает! А в Fedora 17? Работает! 23? Работает! А в Ubuntu 15.10? Да!

Компилируем в Debian 7 Wheezy. Пробуем запустить в Ubuntu 12.04. О нет, у нас нет либы libjpeg.so.8, а есть только libjpeg.so.62! Пробуем запустить с Fedora 17 - о нет, нам нужен Glibc 2.14, а в системе только 2.12!

Пробуем компильнуть в Ubuntu 15.10 - вообще нигде не запускается, так как хочет каких-то нереально бешенных версий либ и Glibc, хотя исходник - напомню - 2005 года.

Ответить | Правка | ^ к родителю #20 | Наверх | Cообщить модератору

65. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Вареник on 10-Окт-15, 04:55 
Попробуйсте откомпилить в Генту или Слаке :)
Ответить | Правка | ^ к родителю #51 | Наверх | Cообщить модератору

72. "Debian прекращает поддержку стандарта Linux Standard Base"  +5 +/
Сообщение от Chromium on 10-Окт-15, 07:16 
лучший коммент
Ответить | Правка | ^ к родителю #51 | Наверх | Cообщить модератору

95. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от myhand (ok) on 10-Окт-15, 12:19 
> Компилируем в Debian 7 Wheezy.

А какие lsb-пакеты установлены у компиляльщика?  // скрипач пытается измерить радиус кривизны рук докладчика.

Ответить | Правка | ^ к родителю #51 | Наверх | Cообщить модератору

157. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Kodir (ok) on 10-Окт-15, 23:55 
> Скомпиленная с Glibc 2.4 программа обязана нормально работать с Glibc 2.22

Вопрос с задних рядов: а что, разве во всех линуксах это не должно работать так по-умолчанию? Я считал, что программа, которая только обращается к библиотеке, вообще никак не зависит от внутренних заморочек библиотеки и обязана работать с любой её ABI-совместимой версией. Откуда в Линуксе взялись "хочу библиотеку libzip 1.2.3"? Что там творит gcc, что программа не может подхватить существующую "libzip 1.3.7"?

Ответить | Правка | ^ к родителю #51 | Наверх | Cообщить модератору

159. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Mihail Zenkov (ok) on 11-Окт-15, 00:23 
> Откуда в Линуксе взялись
> "хочу библиотеку libzip 1.2.3"? Что там творит gcc, что программа не
> может подхватить существующую "libzip 1.3.7"?

Это не gcc творит, а автор конкретной программы прописал конкретную версию для линковки. Причины у него могут быть разные, но наиболее простая - в версии 1.3.x мог изменится api или поведение по-умолчанию в сравнении с 1.2.x.

Ответить | Правка | ^ к родителю #157 | Наверх | Cообщить модератору

164. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Crazy Alex (ok) on 11-Окт-15, 01:11 
Суть ухода от LSB: нет смысла морочить голову с тем, что тривиально решается пересборкой. Ах, вы хотите мимо репозиториев что-то распространять? Вы хотите тащить проприетарщину, для которой исходники недоступны? Ну так сами и мучайтесь и не перекладывайте свои проблемы с больной головы на здоровую.

Нет, серьёзно - на кой в открытом софте бинарная совместимость на этом уровне?

Ответить | Правка | ^ к родителю #51 | Наверх | Cообщить модератору

217. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Кармер on 12-Окт-15, 17:55 
Пересборкой и тестированием , мой йуный друк ! Ибо аффторы либ тоже делают ошибки,для которых время от времени приходиццо делать workaround.
Ответить | Правка | ^ к родителю #164 | Наверх | Cообщить модератору

241. "Debian прекращает поддержку стандарта Linux Standard Base"  –2 +/
Сообщение от Аноним (??) on 13-Окт-15, 21:19 
> Суть ухода от LSB: нет смысла морочить голову с тем, что тривиально
> решается пересборкой. Ах, вы хотите мимо репозиториев что-то распространять? Вы хотите
> тащить проприетарщину, для которой исходники недоступны? Ну так сами и мучайтесь
> и не перекладывайте свои проблемы с больной головы на здоровую.

Обычному пользователю (не фанату FOSS) пофиг, проприетарная программа или нет. Ему важно, чтобы она делала свое дело. Он выбирает инструмент, исходя из задачи, а не из религиозно-политических пристрастий.

Стандарт LSB, по сути, и был защитой от перекладывания с больной головы (зоопарка версий библиотек) на здоровую (вендоров, которым можно было не собирать свой продукт под 100500 дистрибутивов).

Ответить | Правка | ^ к родителю #164 | Наверх | Cообщить модератору

242. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от arisu (ok) on 13-Окт-15, 21:20 
для «нормальных пользователей» есть окошечки и огрызки. го‐го‐го.
Ответить | Правка | ^ к родителю #241 | Наверх | Cообщить модератору

245. "Debian прекращает поддержку стандарта Linux Standard Base"  –2 +/
Сообщение от Аноним (??) on 13-Окт-15, 21:27 
ОС, как и прикладное ПО, можно выбирать, исходя из задачи.
А вы опять сводите все к религии.
Ответить | Правка | ^ к родителю #242 | Наверх | Cообщить модератору

252. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от Andrey Mitrofanov on 14-Окт-15, 09:44 
> А вы опять сводите все к религии.

А как ещё говорить со свидетелями "обычного пользователя есть"?

Ответить | Правка | ^ к родителю #245 | Наверх | Cообщить модератору

148. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Аноним (??) on 10-Окт-15, 22:37 
Перекидывал с дебиана на арч, и какой итог? Упало с ошибкой сегментации, при этом быстро.
Ответить | Правка | ^ к родителю #20 | Наверх | Cообщить модератору

29. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Фабрика Огрызков on 10-Окт-15, 01:05 
Нужно что Торвальдс сказал: Или LSB или выкидывайте из дистрибутива все слова Linux.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

31. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 10-Окт-15, 01:28 
У ядра новая лицензия? LSB-GPL? Использующий исходный код ядра обязуется использовать корпоративный стандарт, только в том случае он имеет право упоминать название ядра в исходных текстах своего продукта.
Ответить | Правка | ^ к родителю #29 | Наверх | Cообщить модератору

63. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от Вареник on 10-Окт-15, 04:51 
Торвальдс может поддерживать соответствующие пакеты Debian для обеспечения совместимости с LSB.

Debian первичен, Торвальдс с ядром вторичен.

Ответить | Правка | ^ к родителю #29 | Наверх | Cообщить модератору

235. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 13-Окт-15, 21:00 
> Debian первичен, Торвальдс с ядром вторичен.

Вот когда Hurd или kFreeBSD станут первичным ядром Debian, тогда и будете так говорить.
А пока - идите в сад.

Ответить | Правка | ^ к родителю #63 | Наверх | Cообщить модератору

267. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Вареник on 15-Окт-15, 01:49 
>> Debian первичен, Торвальдс с ядром вторичен.
> Вот когда Hurd или kFreeBSD станут первичным ядром Debian, тогда и будете
> так говорить.
> А пока - идите в сад.

Пока только посылалка выросла?

Хочешь LSB - сделай его.

Ответить | Правка | ^ к родителю #235 | Наверх | Cообщить модератору

219. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от hamper (??) on 12-Окт-15, 20:08 
Gentoo и все что на нем основано вы уже линуксами не считаете? А ведь оно никогда, изначально, не поддерживало LSB.
Ответить | Правка | ^ к родителю #29 | Наверх | Cообщить модератору

32. "Debian прекращает поддержку стандарта Linux Standard Base"  –3 +/
Сообщение от Zenitur (ok) on 10-Окт-15, 02:20 
Кроме лицензированных программ, есть ещё куча не-лицензированных, но на 100% совместимых с LSB. Меня Debian вообще удивляет: за МЕСЯЦ до релиза 7.0 Wheezy один из мейнейнеров начал чистить Qt3 и зависящий от него софт. Притом что все заморозки перед релизом уже были применены - а в реалиях Debian-а "месяц до релиза" - это как в нормальном проекте "за день до релиза". Зачем?!

Недавно вышел LSB 5.0, где авторы стандарта пошли на уступки для Debian. В манифесте LSB 5.0 сказано, что на Debian и Ubuntu теперь тоже делают ставку: видимо, в прошлый раз (2007 год) эти дистры не были достаточно популярны для этого. Qt3, так и быть, исключили. И ещё там что-то, кому интересно - в "Похожих новостях" есть ссылка...

То есть для них идут на уступки, а они вот так! Что ж, дебианщики, когда Flash Player в вашем дистре не заработает, уверен что определённый процент юзеров ливанёт на RPM-based, где проприетарный софт гарантированно запускаетсяна любом из них. Спасибо одному из разработчиков с шилом в *опе!

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

36. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Zenitur (ok) on 10-Окт-15, 02:44 
> Поддерживаемый в Debian стандарт LSB 4.1 описывает 1493 компонентов, 1672 библиотек, 38491 команд, 30176 классов и 716202 интерфейсов.

Так говорят, как будто сами денно и нощно это поддерживают. А не разработчики Glib, Gtk+, Cairo, Pango, libjpeg62, libpng12, fontconfig, freetype (и всего прочего GTK-стека) из компании Red Hat.

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

60. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Вареник on 10-Окт-15, 04:48 
Живые стандарты - хорошо и очень хорошо.

Мертвые стандарты - плохо.

Мертворожденные стандарты - вообще беда.

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

67. "Debian прекращает поддержку стандарта Linux Standard Base"  –2 +/
Сообщение от Аноним (??) on 10-Окт-15, 05:22 
Вот так все переберутся на генту
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

69. "Debian прекращает поддержку стандарта Linux Standard Base"  +2 +/
Сообщение от Sunderland93 (ok) on 10-Окт-15, 05:52 
Если действительно от него нет пользы практически никакой, что никто(!) из разрабов не желает дальше его поддерживать - то реально, на кой он нужен? Чё толку со стандартов, если они практически не имеют смысла? Да и потом, минимальная поддержка останется, а прогибаться под прорпиерасов негоже. Тем более для Дэбиана.
>>С момента предложения о прекращении поддержки LSB прошло три месяца, за которые не нашлось желающих взять на себя работу по поддержанию пакетов, связанных с LSB.

Чтож никто из "борцов за стандарты" не вызвался на помощь? Zenitar, ты тут больше всех бугуртишь. Слабо было? Или это как с systemd - обосрать проще, чем что-то сделать?

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

110. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 10-Окт-15, 13:47 
Вы задаете неудобный вопрос и потому будете наказаны презрением со стороны добрых, честных и последовательных линукс-активистов выступающих за все хорошее против всего плохого.
Ответить | Правка | ^ к родителю #69 | Наверх | Cообщить модератору

113. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от dimcha (??) on 10-Окт-15, 14:00 
> Если действительно от него нет пользы практически никакой, что никто(!) из разрабов
> не желает дальше его поддерживать - то реально, на кой он
> нужен? Чё толку со стандартов, если они практически не имеют смысла?
> Да и потом, минимальная поддержка останется, а прогибаться под прорпиерасов негоже.
> Тем более для Дэбиана.
>>>С момента предложения о прекращении поддержки LSB прошло три месяца, за которые не нашлось желающих взять на себя работу по поддержанию пакетов, связанных с LSB.

Не переживайте, отвалится что-нибудь у кого-нибудь важное, покроют толстыми дебиан и хипстоту, которая такие решения принимает и сразу найдется тот, кто будет поддерживать.


> Чтож никто из "борцов за стандарты" не вызвался на помощь? Zenitar, ты
> тут больше всех бугуртишь. Слабо было? Или это как с systemd
> - обосрать проще, чем что-то сделать?

Это не умаляет важности LSB как такового. Мусорить вдоль дороги на трассе плохо, но никто сам не остановится и не уберет чужое. Из этого не следует, что надо отменить моральный принцип "не мусорить" раз никто не хочет убирать. А у вас логика именно такая.

Ответить | Правка | ^ к родителю #69 | Наверх | Cообщить модератору

75. "Debian прекращает поддержку стандарта Linux Standard Base"  –4 +/
Сообщение от Анонас on 10-Окт-15, 08:43 
Все очевидно. Ликвидация Linux началась с systemd... Ктото всерьез заинтересован в смерти операционной системы Linux и целенаправленно бьет по самым важным позициям системы. Скоро от Linux останется только одно слово. Большинство дистрибутивов исчезнут. Это заговор больших корпораций против системы Linux! Заговор в котором никто не признается и все будут отрицать о том что существует заговор. А если вы будете настаивать о существовании заговора, то вас будут воспринимать как шутника. Ибо все испытывают страх перед большими корпорациями. Господину Торвальдсу пора всерьез начать искать себе союзников и начинать разрабатывать методы защиты системы Linux... иначе гибель системы произойдет очень скоро. Запомните мои слова!!!
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

77. "Debian прекращает поддержку стандарта Linux Standard Base"  –3 +/
Сообщение от Alex (??) on 10-Окт-15, 10:04 
Тьфу-тьфу, systemd принёс в мир Linux-based систем то, чего им давно не хватало: унификацию. Сама система может быть достаточно разной, но теперь ты точно знаешь, что тебе не надо перепиливать инит-скрипты под каждый конкретный релиз.
Ответить | Правка | ^ к родителю #75 | Наверх | Cообщить модератору

92. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от myhand (ok) on 10-Окт-15, 12:10 
> Сама система может быть достаточно разной, но теперь ты
> точно знаешь, что тебе не надо перепиливать инит-скрипты под каждый конкретный релиз.

Ура!  Теперь перепиливать будешь юнит.  Ты довольно, школие?

Ответить | Правка | ^ к родителю #77 | Наверх | Cообщить модератору

99. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Аноним (??) on 10-Окт-15, 12:30 
Вспомни когда принимались решения о переходе основных дистрибутивов на systemd тут и на ЛОРе была гигантская толпа ненавистников systemd. Переход состоялся и как-то тонны комментариев о ужасном systemd больше никто не пишет. Не наводит ни на какие мысли? По-моему так кто-то очень не хотел унификации инит системы в огромном и разрозненном семействе дистрибутивов Linux, но systemd приняли и комментарии о ненавистном systemd резко иссякли.
Ответить | Правка | ^ к родителю #92 | Наверх | Cообщить модератору

101. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от Mihail Zenkov (ok) on 10-Окт-15, 12:48 
Просто надоело спорить об одном и том же, тем более что каждый остался при своем мнении. IMHO с systemd будет тоже, что и с pa - те кому не нравится будут выпиливать его или использовать дистрибутивы без него. Огорчает только то, что будут systemd-only приложения (как сейчас есть некоторые завязанные за pa). Остается надеяться на здравый смысл разработчиков.
Ответить | Правка | ^ к родителю #99 | Наверх | Cообщить модератору

174. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от arisu (ok) on 11-Окт-15, 08:04 
> Огорчает только то, что будут systemd-only приложения

наоборот, радует: сразу ясно, на что не стоит тратить время.

Ответить | Правка | ^ к родителю #101 | Наверх | Cообщить модератору

194. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от vi (ok) on 11-Окт-15, 13:07 
> Просто надоело спорить об одном и том же, тем более что каждый
> остался при своем мнении. IMHO с systemd будет тоже, что и
> с pa - те кому не нравится будут выпиливать его или
> использовать дистрибутивы без него. Огорчает только то, что будут systemd-only приложения
> (как сейчас есть некоторые завязанные за pa). Остается надеяться на здравый
> смысл разработчиков.

О, если бы мы говорили о «жесткой» логике. А так, наверняка «здравый смысл» в области разработки программного обеспечения у меня и у самих разработчиков отличается.

И да, Вам же дали несколько свобод в области свободного программного обеспечения. Но дышать то за Вас никто не сможет :) Или за Вас еще и жизнь прожить? Я то себе три намерил, а тут еще за Вас жить ;)

Ответить | Правка | ^ к родителю #101 | Наверх | Cообщить модератору

197. "Debian прекращает поддержку стандарта Linux Standard Base"  +2 +/
Сообщение от Mihail Zenkov (ok) on 11-Окт-15, 13:56 
Прочитал ваш пост три раз, но так и не понял, что вы хотели сказать ...
Ответить | Правка | ^ к родителю #194 | Наверх | Cообщить модератору

207. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от vi (ok) on 11-Окт-15, 22:14 
> Прочитал ваш пост три раз, но так и не понял, что вы
> хотели сказать ...

Что русскому хорошо, то немцу смерть. (авторство автора)

И прочая лабуда про GPL и про то кто кому и чего должен. И как быть хозяином своей жизни, и той лабуды которую вы в свою жизнь пускаете (на примере программного обеспечения).

А вообще не стоит "запариватся"! Можно просто и счастливо плыть по течению.

Ответить | Правка | ^ к родителю #197 | Наверх | Cообщить модератору

103. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от myhand (ok) on 10-Окт-15, 12:59 
> systemd приняли

Я лично в упор не вижу никакого "принятия":
https://qa.debian.org/popcon.php?package=sysvinit
https://qa.debian.org/popcon.php?package=systemd

Ответить | Правка | ^ к родителю #99 | Наверх | Cообщить модератору

226. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от freehck email(ok) on 13-Окт-15, 13:44 
Кстати да. Судя по этой статистике инсталляций с sysv в полтора раза больше, чем с systemd. Очень познавательные цифры, спасибо.
Ответить | Правка | ^ к родителю #103 | Наверх | Cообщить модератору

238. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Аноним (??) on 13-Окт-15, 21:12 
По-моему, вполне соответсвует соотношению stable/(old)oldstable систем.
Ответить | Правка | ^ к родителю #226 | Наверх | Cообщить модератору

193. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от vi (ok) on 11-Окт-15, 12:42 

> Не наводит ни на какие мысли?

Недавно здесь один уважаемый человек комментировал.
http://thequestion.ru/questions/17479/naskolko-teoriya-okna-...

Так что продолжайте расслабляться и получать удовольствие!

Ответить | Правка | ^ к родителю #99 | Наверх | Cообщить модератору

122. "Debian прекращает поддержку стандарта Linux Standard Base"  +3 +/
Сообщение от anonymous (??) on 10-Окт-15, 16:09 
> Тьфу-тьфу, systemd принёс в мир Linux-based систем то, чего им давно не хватало: унификацию.

Ага, даже стандарт не осилили разработать и поддерживать. О какой унификации тут идёт речь? Завихрения в мозге Поттеринга на неё не тянут.

Ответить | Правка | ^ к родителю #77 | Наверх | Cообщить модератору

205. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 11-Окт-15, 20:44 
О какой, о какой. О той самой родной, в стиле майкрософта.
Ответить | Правка | ^ к родителю #122 | Наверх | Cообщить модератору

160. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Kodir (ok) on 11-Окт-15, 00:24 
Хоть ваше заявление и тупое, позволю его прокомментировать: http://suckless.org/sucks/systemd
Ответить | Правка | ^ к родителю #77 | Наверх | Cообщить модератору

78. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 10-Окт-15, 10:51 
Истинно вам говорю: 4 мая 1925 года земля налетит на небесную ось !
Ответить | Правка | ^ к родителю #75 | Наверх | Cообщить модератору

127. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Аноним (??) on 10-Окт-15, 17:21 
> Все очевидно. Ликвидация Linux началась с systemd... Ктото всерьез заинтересован в смерти
> операционной системы Linux и целенаправленно бьет по самым важным позициям системы.
> Скоро от Linux останется только одно слово. Большинство дистрибутивов исчезнут. Это
> заговор больших корпораций против системы Linux! Заговор в котором никто не
> признается и все будут отрицать о том что существует заговор. А
> если вы будете настаивать о существовании заговора, то вас будут воспринимать
> как шутника. Ибо все испытывают страх перед большими корпорациями. Господину Торвальдсу
> пора всерьез начать искать себе союзников и начинать разрабатывать методы защиты
> системы Linux... иначе гибель системы произойдет очень скоро. Запомните мои слова!!!

Поздно. На последнем всегалактическом масонском совете представитель Омикрона V явно и однозначно просигналил своими псевдоподиями земному представителю совета (Обаме) - Линукс НИНУЖНА!!

Ответить | Правка | ^ к родителю #75 | Наверх | Cообщить модератору

175. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от arisu (ok) on 11-Окт-15, 08:04 
> операционной системы Linux

такой ОС никогда не существовало. скилл «убить то, чего на свете нет» — очень крутой.

Ответить | Правка | ^ к родителю #75 | Наверх | Cообщить модератору

76. "Debian прекращает поддержку стандарта Linux Standard Base"  –3 +/
Сообщение от Аноним (??) on 10-Окт-15, 09:42 
Под убунту прогиб наверное Дистр самодостаточный как и фряха но и та трещит
из за этого
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

83. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от corvuscor (ok) on 10-Окт-15, 11:30 
А матлаб с математикой не отвалятся? У математики так точно LSB в требованиях есть.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

227. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от freehck email(ok) on 13-Окт-15, 13:51 
> А матлаб с математикой не отвалятся? У математики так точно LSB в
> требованиях есть.

Ну, значит буду её теперь в chroot-е гонять. А вообще, использую её только потому, что некоторые индивиды только в ней расчёты делают, и мне надо их как-то читать. Для личных нужд и Maxima сгодится.

Ответить | Правка | ^ к родителю #83 | Наверх | Cообщить модератору

84. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Аноним (??) on 10-Окт-15, 11:38 
переходят потихоньку от linux'а к lindows'у.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

118. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от kravich (ok) on 10-Окт-15, 15:03 
Новость читал? Все совсем наоборот.
Ответить | Правка | ^ к родителю #84 | Наверх | Cообщить модератору

130. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 10-Окт-15, 18:12 
Без стандартов будет больше бардака (даже если они не соблюдались полностью и прежде);
в бардаке работать трудно, поэтому можно только из-под палки;
поэтому работа перетекает в руки компаний;
компании делают проприетарные системы;
потому lindows.
Ответить | Правка | ^ к родителю #118 | Наверх | Cообщить модератору

87. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от iCat (ok) on 10-Окт-15, 11:49 
Началась трансформация в DebianD? Или в Debiantu?
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

93. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Mihail Zenkov (ok) on 10-Окт-15, 12:18 
Раньше уже говорил: у меня очень переработанный lfs - нет udev/dbus/pulseaudio/systemd, busybox вместо *nix utils, не придерживаюсь строго FHS, glibc тоже существенно подрезана.

Opera ставилась без проблем. Лень было собирать LO4 - взял сборку для дебиана - ругнулась, что у меня libdbus нет. Взял libdbus с дебиана - и все заработало (без демона dbus!). Pianoteq, Unreal, ET:QW - тоже работали.

Если не завязываться за дистроспецифичные вещи (привет systemd,pa) и вообще сводить внешние зависимости к минимуму (статическая линковка и включение в поставку редко используемых lgpl библиотек), то все будет работать и без LSB.

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

105. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от slavius on 10-Окт-15, 13:19 
ты предлагаешь сделать то от чего в линукс уходили годами)) или разделяемые либы и тому подобное пидумали тупые люди?
Ответить | Правка | ^ к родителю #93 | Наверх | Cообщить модератору

111. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Mihail Zenkov (ok) on 10-Окт-15, 13:50 
Не все так просто: разделяемые библиотеки имеют выигрыш только если используются большим количеством одновременно запущенных программ. Да и то не всегда.

Есть мнение, что от разделяемых библиотек больше вреда, чем пользы: http://sta.li/faq

Мое личное мнение - если думать об экономии памяти, то оптимально оставить широко используемые библиотеки разделяемыми, а все остальное - статикой.

Если же речь о максимальной производительности, а экономия памяти не критична - то все статикой.

Ответить | Правка | ^ к родителю #105 | Наверх | Cообщить модератору

114. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от slavius on 10-Окт-15, 14:08 
и медленно превращаемся, превращаемся медленно.... в виндовс...)) меня все больше беспокоит современное пренебрежение ресурсами системы. полагая что их всегда хватит на все. знаешь отличием линукса всегда была стабильность за счет того, что каждую задачу выполняет одно маленькое приложение и передает обработку другому маленькому. это всегда был процесс надежного и нетребовательного использования компьютера, что и сделало линукс одной из ведущих систем в веб, но вы предлагаете сделать из него виндовс. это не может не беспокоить. а по различию дистров дебиан давно уже в переди планеты всей. нет чтоб договориться о единообразном именовании либ, они стали именовать их иначе. как итог нигде кроме дебианоподобных систем  их не используешь. и это конечно печально для опен сурс
Ответить | Правка | ^ к родителю #111 | Наверх | Cообщить модератору

115. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Mihail Zenkov (ok) on 10-Окт-15, 14:46 
Возражения технического характера против моего мнения есть?

Если вы сходите по ссылке то там и будет про "пренебрежение ресурсами системы" и "каждую задачу выполняет одно маленькое приложение и передает обработку другому маленькому".

Статическая линковка всегда быстрее и в ряде случаев более экономна по памяти.

> различию дистров дебиан давно уже в переди планеты всей

Вы не находите странным, что именно дебиновская сборка LO4 без проблем заработала на очень нестандартной системе?

Ответить | Правка | ^ к родителю #114 | Наверх | Cообщить модератору

120. "Debian прекращает поддержку стандарта Linux Standard Base"  +2 +/
Сообщение от Нимано on 10-Окт-15, 15:52 
> и медленно превращаемся, превращаемся медленно.... в виндовс...))

DLL hell?

> знаешь отличием линукса всегда была стабильность за счет того, что каждую задачу выполняет одно маленькое приложение и передает обработку другому маленькому.

Называется скромно: "юниксвей",  хотя дивано-аналитическая хипстота на опеннете утверждает, что это ненужный пережиток прошлого.

> что и сделало линукс одной из ведущих систем в веб

Ну да, ведь в бздах все было ну совсем не так. Там о юниксвеях ни ухом, ни рылом ...

Ответить | Правка | ^ к родителю #114 | Наверх | Cообщить модератору

221. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от hamper (??) on 12-Окт-15, 20:22 
Так ведь LSB это и есть узаконенный DLL-hell, просто в нем перечислены все возможные версии либ, которые могут потребоваться какому то проприетарному приложению.
Ответить | Правка | ^ к родителю #120 | Наверх | Cообщить модератору

156. "Debian прекращает поддержку стандарта Linux Standard Base"  –2 +/
Сообщение от Kodir (ok) on 10-Окт-15, 23:44 
> Не все так просто: разделяемые библиотеки имеют выигрыш только если используются большим
> количеством одновременно запущенных программ.

Не только. Например, если найдена проблема в либе, её новая версия компилируется и перезаписывает старую - вот тебе минимальный апдейт!
Аналогично, если ты НЕ хочешь чужих реализаций - кладёшь разделяемую либу на r/o том и все программы юзают одну доверенную либу.
Вощем, преимуществ shared море, просто бардак в линуксах мешает юзать его в полный рост.

Ответить | Правка | ^ к родителю #111 | Наверх | Cообщить модератору

158. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Mihail Zenkov (ok) on 11-Окт-15, 00:13 
>> Не все так просто: разделяемые библиотеки имеют выигрыш только если используются большим
>> количеством одновременно запущенных программ.
> Не только. Например, если найдена проблема в либе, её новая версия компилируется
> и перезаписывает старую - вот тебе минимальный апдейт!
> Аналогично, если ты НЕ хочешь чужих реализаций - кладёшь разделяемую либу на
> r/o том и все программы юзают одну доверенную либу.

1. Многие программы тягают библиотеки с собой, например ff.
2. Программа может завязаться за подверсию (или вообще конкретную версию) библиотеки.
3. Часть функции может быть размещена в заголовочном файле и есть большая вероятность что такие функции будут внедрены (inline). Соответственно, при изменении заголовочных файлов библиотеки, нужно все пересобрать, дабы гарантировать корректность обновления.

Как вы предлагаете отслеживать подобные ситуации при обновлении только разделяемой библиотеки?


> Вощем, преимуществ shared море, просто бардак в линуксах мешает юзать его в
> полный рост.

Перечислите все преимущества.

Я же приведу недостатки:
1. относительно сложный и медленный механизм загрузки библиотек
2. требуется загрузка в память всей библиотеки и всех ее зависимостей, даже если используется всего одна функция одной программой
3. сложности с inline и lto - меньше итоговая производительность приложения
4. переносимость приложения
5. сложности при необходимости собрать разные приложения (или одно и тоже приложение) с разными версиями
6. overlinking: частично решается --as-needed, но не полностью и не все приложения собираются с этим флагом

Ответить | Правка | ^ к родителю #156 | Наверх | Cообщить модератору

166. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Crazy Alex (ok) on 11-Окт-15, 01:35 
Я хоть и не Kodir, но отвечу.

От таскания бибилиотк с собой тот же Firefox прекрасно отучался, в генте для него и для seamonkey апчка флажков вида use-system-X.

Если софт завязывается на подверсии - обычно от него стоит держаться подальше - либо автор чудит, либо авторы используемых библиотек. На моей памяти исключением, с которым пришлось смириться, является только ffmpeg.

Насчёт заголовочных файлов - а в чём проблема? Изменил внешний интерфейс (а заголовки - это именно оно) - меняй вторую цифру, показывая сломанный ABI.

А преимущество для меня очевидно - автор приложения не обязан следить за минорными версиями библиотеки, корректное версионирование автоматом даёт возможность исправлять ошибки в библиотеке, не затрагивая автора приложения вообще никак. Остальное, по большому счёту, шелуха.

Ответить | Правка | ^ к родителю #158 | Наверх | Cообщить модератору

183. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Mihail Zenkov (ok) on 11-Окт-15, 11:51 
> От таскания бибилиотк с собой тот же Firefox прекрасно отучался, в генте
> для него и для seamonkey апчка флажков вида use-system-X.

В FF да, там не понятно зачем они библиотеки с собой таскают, может что бы под виндой проще собирать было. Но обычно для этого есть повод - библиотека может быть модифицирована под нужды проекта или она настолько редко встречается, что озадачивать пользователя ее отдельной установкой не имеет смысла.

> Если софт завязывается на подверсии - обычно от него стоит держаться подальше
> - либо автор чудит, либо авторы используемых библиотек. На моей памяти
> исключением, с которым пришлось смириться, является только ffmpeg.

Согласен, обычная практика - завязываться только за первую цифру версии, так как ее смена часто связана со сменой api. Но эта же практика приводит к сложностям при обновлении abi (второй цифры). Получается, что при смене abi в библиотеке, мы должны атомарно (в один заход) обновить библиотеку и весь софт ее использующий, иначе мы потенциально можем получить частично сломанную систему.

Обновление glibc это вообще черная магия :) А ведь если линковать ее статически, то мы сможем обновить любой пакет в любой последовательности и на каждом этапе система будет полностью работоспособной.

> Насчёт заголовочных файлов - а в чём проблема? Изменил внешний интерфейс (а
> заголовки - это именно оно) - меняй вторую цифру, показывая сломанный
> ABI.

В целом согласен, но не уверен, что крупные библиотеки меняют вторую цифру, если в одной функции в заголовочном файле исправили одну ошибку.

> А преимущество для меня очевидно - автор приложения не обязан следить за
> минорными версиями библиотеки, корректное версионирование автоматом даёт возможность
> исправлять ошибки в библиотеке, не затрагивая автора приложения вообще никак.

А при чем здесь автор приложения? Вы случайно не путаете статическую линковку со встраиванием библиотек в исходный код?
Автор выложил исходники и отметил минимальные рабочие версии библиотек, дальше собирайте как угодно, хоть статически, хоть динамически.

Ответить | Правка | ^ к родителю #166 | Наверх | Cообщить модератору

191. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Crazy Alex (ok) on 11-Окт-15, 12:32 
У меня гента, так что о пересборках после смены второй цифры я некое представление имею :) Но вот сломать систему как-то не выходило. Как делается - не знаю, я, честно гвооря, в детали не лез. Ноработает вполне приемлемо, включая апдейт libc. То есть это не проблема, к которой решения нет. Впрочем, с вариантом "пересобирать, используя старую библиотеку, потом разом всё заменить" тоже особых проблем не вижу.

Статическая линковка обычно ходит с тасканием библиотеки с собой - здесь да, попутал немного. С другой стороны - даже с просто статической сборкой в source-based мы имеем гору лишних пересборок, а в бинарных - свалившуюся с ровного места нагрузку не на авторов, так на маинтайнеров. А shared libs - отличный способ делегирования.

Кроме того, лично мне очень не нравится идея параллельного наличия нескольких возможно несовместимых версий чего угодно (библиотеки, приложения - не важно) в  системе без особых мер предосторожности - побиться можно отнюдь не тоько об abi а, например, о формат конфигов, или временых файлов, или ещё чего. Это всё лечится - но как бы не получить в итоге GoboLinux.

Ответить | Правка | ^ к родителю #183 | Наверх | Cообщить модератору

196. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Mihail Zenkov (ok) on 11-Окт-15, 13:50 
> У меня гента, так что о пересборках после смены второй цифры я
> некое представление имею :) Но вот сломать систему как-то не выходило.

А я вот сталкивался с глюками, после обновления отдельных нижних gtk библиотек  - приходилось пересобирать все библиотеки и приложения их использующие.

> Как делается - не знаю, я, честно гвооря, в детали не
> лез. Ноработает вполне приемлемо, включая апдейт libc. То есть это не
> проблема, к которой решения нет.

Все это существенно усложняет систему сборки  - нужно сперва собрать toolchain, который потом пересоберет binutils/glibc/gcc.

> Впрочем, с вариантом "пересобирать, используя старую
> библиотеку, потом разом всё заменить" тоже особых проблем не вижу.

Canonical уже пришла к выводу, что надежнее и проще обновлять нижний уровень за один заход.


> Статическая линковка обычно ходит с тасканием библиотеки с собой - здесь да,
> попутал немного. С другой стороны - даже с просто статической сборкой
> в source-based мы имеем гору лишних пересборок, а в бинарных -
> свалившуюся с ровного места нагрузку не на авторов, так на маинтайнеров.

Для маинтайнеров это не проблема - эта операция может происходить полностью автоматически.


> Кроме того, лично мне очень не нравится идея параллельного наличия нескольких возможно
> несовместимых версий чего угодно (библиотеки, приложения - не важно) в  
> системе без особых мер предосторожности - побиться можно отнюдь не тоько
> об abi а, например, о формат конфигов, или временых файлов, или
> ещё чего. Это всё лечится - но как бы не получить
> в итоге GoboLinux.

В целом согласен, но есть ряд ситуаций, когда это необходимо. Иногда нужно держать стабильную и нестабильную версию одновременно. Есть софт, который уже не обновляется или завязан за старые api библиотек. Да и просто при выходе новой версии библиотеки с новым api нужно либо ждать пока все нужные программы перейдут на него либо держать две версии.
Сразу вспоминаются gtk2/3 и qt4/5.

У каждого способа линковки есть свои сильные и слабые стороны. Как я отметил в самом начале, хорошим решением могло бы быть использование разделяемых широко используемых библиотек и статики для редких. Возможно стоит сделать исключение для glibc, так как в разделяемом виде ее сложно обновлять, а учитывая что из нее часто вызываются мелкие функции в цикле, то статическая линковка могла бы хорошо сказаться на производительности практически всех приложений (за счет inline/lto).

Ответить | Правка | ^ к родителю #191 | Наверх | Cообщить модератору

165. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Crazy Alex (ok) on 11-Окт-15, 01:24 
Очевидный минус - то, что исправление бага в библиотеке может дойти только через новую версию приложения. Лично для меня этого достаточно, чтобы как чёрт от ладана шарахаться от статически собранного софта.

Впрочем, стонов по LSB я тоже не разделяю - это затрагивает только проприетарщину, а с ней в любом случае лучше не связываться по возможности. А в тяжелых случаях - виртуалка с нужной системой в помощь.

Ответить | Правка | ^ к родителю #111 | Наверх | Cообщить модератору

176. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от arisu (ok) on 11-Окт-15, 08:08 
> Очевидный минус - то, что исправление бага в библиотеке может дойти только
> через новую версию приложения. Лично для меня этого достаточно, чтобы как
> чёрт от ладана шарахаться от статически собранного софта.

а также не работает няшный хак с перехватом функций через LD_PRELOAD. да, это нужно далеко не каждый день; да, можно извращаться с ptrace() и динамическим анализом… а можно просто LD_PRELOAD.

Ответить | Правка | ^ к родителю #165 | Наверх | Cообщить модератору

185. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Mihail Zenkov (ok) on 11-Окт-15, 11:57 
Согласен, возможность интересная, хоть и редко используемая. Мне лично еще не хватает аналога ldd, чтобы можно было понять какие библиотеки использовались при линковке.
Ответить | Правка | ^ к родителю #176 | Наверх | Cообщить модератору

186. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от arisu (ok) on 11-Окт-15, 11:59 
согласен, ldd тоже полезная штука.
Ответить | Правка | ^ к родителю #185 | Наверх | Cообщить модератору

190. "Debian прекращает поддержку стандарта Linux Standard Base"  –2 +/
Сообщение от Аноним (??) on 11-Окт-15, 12:31 
Убивать надо за советы использовать ldd. Хотите подробностей без риска — objdump -p.
Ответить | Правка | ^ к родителю #185 | Наверх | Cообщить модератору

195. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от Mihail Zenkov (ok) on 11-Окт-15, 13:21 
Убивать надо тех, кто тянет стремные бинарники не пойми откуда. Точнее они сами себя убьют.

Ответить | Правка | ^ к родителю #190 | Наверх | Cообщить модератору

199. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от arisu (ok) on 11-Окт-15, 14:33 
убей себя, пожалуйста. или по крайней мере научись молчать, когда умные люди беседуют, чтобы твоя глупость не так отсвечивала.
Ответить | Правка | ^ к родителю #190 | Наверх | Cообщить модератору

246. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Аноним (??) on 13-Окт-15, 21:29 
Культурный уровень гопника из подворотни еще не делает вас умным человеком.
Поэтому, не отсвечивайте, пожалуйста.
Ответить | Правка | ^ к родителю #199 | Наверх | Cообщить модератору

247. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от arisu (ok) on 13-Окт-15, 21:31 
> Культурный уровень гопника из подворотни еще не делает вас умным человеком.

само собой. умным меня делает интеллект — но тебе этого не понять, в твоей оценке разумности интеллекту места не нашлось.

Ответить | Правка | ^ к родителю #246 | Наверх | Cообщить модератору

179. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Mihail Zenkov (ok) on 11-Окт-15, 11:11 
> Очевидный минус - то, что исправление бага в библиотеке может дойти только
> через новую версию приложения. Лично для меня этого достаточно, чтобы как
> чёрт от ладана шарахаться от статически собранного софта.

Суеверия и предрассудки :) Зачем ждать новую версию? Достаточно пересобрать (или скачать пересобронный) пакет с новой версией библиотеки.

Ответить | Правка | ^ к родителю #165 | Наверх | Cообщить модератору

180. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от arisu (ok) on 11-Окт-15, 11:21 
утомляет пересобирать половину мира при апдейте какой‐нибудь часто используемой библиотеки.
Ответить | Правка | ^ к родителю #179 | Наверх | Cообщить модератору

184. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Mihail Zenkov (ok) on 11-Окт-15, 11:54 
Согласен, но при смене abi все равно придется это делать и гораздо более болезненно.
Ответить | Правка | ^ к родителю #180 | Наверх | Cообщить модератору

187. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от arisu (ok) on 11-Окт-15, 12:00 
> Согласен, но при смене abi все равно придется это делать и гораздо
> более болезненно.

поэтому я, например, намерен сидеть на gcc 4.9 о‐о‐очень долго.

sidenote: не понимаю, зачем опять было ломать плюсы в gcc5. шило в заднице жить спокойно не даёт, что ли?

Ответить | Правка | ^ к родителю #184 | Наверх | Cообщить модератору

192. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Crazy Alex (ok) on 11-Окт-15, 12:35 
Для бинарных дистрибутивов - не суеверия и не предрассудки, а механика работы пакетной системы.

P.S. Я просто и Дебиан и Генту испоьльзую, поэтому с обеих точек зрения всё это вспринимаю. для source-based - это просто морока с пересборкой, существенно большая, чем сейчас. А вот для бинарных (которые, чрёт возьми, действительно оптимальнее для большинства) - это масса проблем со своевременным обновлением.

Ответить | Правка | ^ к родителю #179 | Наверх | Cообщить модератору

198. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Mihail Zenkov (ok) on 11-Окт-15, 14:11 
> А вот для бинарных (которые, чрёт
> возьми, действительно оптимальнее для большинства) - это масса проблем со своевременным
> обновлением.

ИМХО, нет.

Допустим у пользователя 20-30 программ. Соответственно в худшем случае, на апдейт придет 20-30 бинарных файлов (целиком ведь пакет в таком случае не обязательно обновлять). При этом будет 100% гарантия, что в системе ничего не сломается и обновлять он может эти пакеты выборочно.

Сейчас же на апдейт приходит 200-300 библиотек, которые могут быть не совместимы с установленным софтом, все это нужно установить атомарно и если что-то пошло не так, то есть вероятность битой системы после перезагрузки.

Сейчас у того же дебиана сложнейшая зависимость пакетов друг от друга. В случае же со статической линковкой, пользователь вообще не будет ставить/обновлять библиотеки. Он просто будет ставить/обновлять нужные ему программы. Система (с точки зрения пользователя) станет на порядок проще и понятней.

Ответить | Правка | ^ к родителю #192 | Наверх | Cообщить модератору

104. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от dimcha (??) on 10-Окт-15, 13:01 
LOL, читаю на wikipedia:

> Стандарт LSB критикуют за то, что он не принимает предложения проектов, в особенности Debian, находящихся за пределами круга его членов.

Понятно теперь, почему отказываются )

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

123. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от anonymous (??) on 10-Окт-15, 16:11 
> LOL, читаю на wikipedia:
>> Стандарт LSB критикуют за то, что он не принимает предложения проектов, в особенности Debian, находящихся за пределами круга его членов.
> Понятно теперь, почему отказываются )

systemd тоже редхат пилит. Однако протолкнули с причмокиванием.

Ответить | Правка | ^ к родителю #104 | Наверх | Cообщить модератору

204. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от chinarulezzz (ok) on 11-Окт-15, 19:44 
>> LOL, читаю на wikipedia:
>>> Стандарт LSB критикуют за то, что он не принимает предложения проектов, в особенности Debian, находящихся за пределами круга его членов.
>> Понятно теперь, почему отказываются )
> systemd тоже редхат пилит. Однако протолкнули с причмокиванием.

Тестеры, расширение рынка за счет подконтрольных продуктов - это выгодно. А уж как данная новость выгодна редхат...

Ответить | Правка | ^ к родителю #123 | Наверх | Cообщить модератору

236. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 13-Окт-15, 21:03 
> systemd тоже редхат пилит. Однако протолкнули с причмокиванием.

С тем же успехом можно сказать, что systemd пилит Debian.
Hint: посчитайте количество разработчиков с правом коммита.

Ответить | Правка | ^ к родителю #123 | Наверх | Cообщить модератору

248. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от anonymous (??) on 13-Окт-15, 23:17 
>Hint: посчитайте количество разработчиков с правом коммита.

А LSB кто тогда принимал? Контора, которая не имеет отношения к дебиану и линуксу вообще, или всё же представители linux-дистрибутив, в т.ч. и дебиана? А то складывается такое впечатление, что systemd проталкивает сообщество и Поттеринг живёт исключительно на пожертвования, а LSB разработан исключительно RedHat-ом в своих корыстных целях.

Ответить | Правка | ^ к родителю #236 | Наверх | Cообщить модератору

250. "Debian прекращает поддержку стандарта Linux Standard Base"  +2 +/
Сообщение от arisu (ok) on 14-Окт-15, 05:19 
RH не всегда был рассадником портерингов. по крайней мере, таким открытым.
Ответить | Правка | ^ к родителю #248 | Наверх | Cообщить модератору

244. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 13-Окт-15, 21:24 
> systemd тоже редхат пилит. Однако протолкнули с причмокиванием.

Потому что sysvinit уже начал попахивать, а убунтовский upstart с его CLA мог запросто порвать то, куда его проталкивали.

Ответить | Правка | ^ к родителю #123 | Наверх | Cообщить модератору

249. "Debian прекращает поддержку стандарта Linux Standard Base"  +2 +/
Сообщение от anonymous (??) on 13-Окт-15, 23:22 
>> systemd тоже редхат пилит. Однако протолкнули с причмокиванием.
> Потому что sysvinit уже начал попахивать, а убунтовский upstart с его CLA
> мог запросто порвать то, куда его проталкивали.

Убунтвоский upstart уже проработал  лет 7 и никому ничего не порвал. Даже впиливался небольшой командой из Сanonical вместо sysvinit легко и непринуждённо. А вот после systemd впилить другой инит не представляется возможным.

Ответить | Правка | ^ к родителю #244 | Наверх | Cообщить модератору

251. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от arisu (ok) on 14-Окт-15, 05:20 
> Убунтвоский upstart уже проработал  лет 7 и никому ничего не порвал.
> Даже впиливался небольшой командой из Сanonical вместо sysvinit легко и непринуждённо.
> А вот после systemd впилить другой инит не представляется возможным.

тут всё ещё хуже: upstart мог работать не «вместо», а «вместе». представляешь, какой ужас: выбор давали *всем*! понятно, что upstart был утоплен с максимальной скоростью и надёжностью.

p.s. кто не в курсе — upstart не требовал делать его pid 1, и мог спокойно сосуществовать с другим инитом.

Ответить | Правка | ^ к родителю #249 | Наверх | Cообщить модератору

255. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от myhand (ok) on 14-Окт-15, 13:08 
> какой ужас: выбор давали *всем*!

С ненавязчивым впариванием бубунтовской CLA в комплекте.

Тоже хороши, чо.

Ответить | Правка | ^ к родителю #251 | Наверх | Cообщить модератору

256. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от arisu (ok) on 14-Окт-15, 13:13 
>> какой ужас: выбор давали *всем*!
> С ненавязчивым впариванием бубунтовской CLA в комплекте.

э… наблюдаю GPLv2. ЧЯДНТ?

Ответить | Правка | ^ к родителю #255 | Наверх | Cообщить модератору

257. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от myhand (ok) on 14-Окт-15, 16:28 
> э… наблюдаю GPLv2. ЧЯДНТ?

Не умеешь наблюдать, ессно.

СLA - это про http://assets.ubuntu.com/sites/ubuntu/1533/u/files/section/l...

Ответить | Правка | ^ к родителю #256 | Наверх | Cообщить модератору

258. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от arisu (ok) on 14-Окт-15, 16:33 
ещё раз повторяю: открыл исходники, наблюдаю GPLv2. что там карябают убунтята на своём сайте — мне неинтересно.
Ответить | Правка | ^ к родителю #257 | Наверх | Cообщить модератору

260. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от myhand (ok) on 14-Окт-15, 19:41 
> ещё раз повторяю: открыл исходники, наблюдаю GPLv2.

Если на клетке слона прочтёшь надпись «буйвол», не верь глазам своим.

> что там карябают убунтята на своём сайте — мне неинтересно.

Вот на своем сайте они накорябали, что имеют исключительное право послать тебя на юх и
сделать закрытый форк любого твоего upstart.

Это похоже на GPL?  Нет, это похоже на BSD, только для избранных.

Ответить | Правка | ^ к родителю #258 | Наверх | Cообщить модератору

261. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от arisu (ok) on 14-Окт-15, 19:43 
> Вот на своем сайте они накорябали, что имеют исключительное право послать тебя
> на юх и
> сделать закрытый форк любого твоего upstart.

что волнует меня примерно настолько же, насколько волнуют проблемы африканских жителей.

p.s. и, конечно, ты неправ. потому что не «любого моего апстарт», а только кода, который я им отдал с отказом от прав. а если я этот код не отдавал, а просто себе веду форк в сторонке — то весь кайф закрывания развалился.

Ответить | Правка | ^ к родителю #260 | Наверх | Cообщить модератору

262. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от myhand (ok) on 14-Окт-15, 20:20 
>> Вот на своем сайте они накорябали, что имеют исключительное право послать тебя
>> на юх и
>> сделать закрытый форк любого твоего upstart.
> что волнует меня примерно настолько же, насколько волнуют проблемы африканских жителей.

Зато это волнует разработчиков, не желающих вкладываться в развитие
проектов, паразитирующих на идеях GPL.

> p.s. и, конечно, ты неправ. потому что не «любого моего апстарт», а
> только кода, который я им отдал с отказом от прав.

Естественно, все в нужном контексте: "любого твоего" - это про
то, которое взяли себе юбунтовцы (мы же об апстарт, да?).  Не подпишешь
CLA - твой код они к себе не примут.

Ответить | Правка | ^ к родителю #261 | Наверх | Cообщить модератору

263. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от arisu (ok) on 14-Окт-15, 20:24 
> Не подпишешь CLA - твой код они к себе не примут.

ну и отлично, вот и решение. не подпишу. всё, RESOLVED FIXED.

Ответить | Правка | ^ к родителю #262 | Наверх | Cообщить модератору

264. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от myhand (ok) on 14-Окт-15, 20:52 
>> Не подпишешь CLA - твой код они к себе не примут.
> ну и отлично, вот и решение. не подпишу. всё, RESOLVED FIXED.

Дык а я о чем.  Вот так просто и умер апстарт.  Без жидомасонских заговоров и
козней бандерорептилоидов из RH.

Ответить | Правка | ^ к родителю #263 | Наверх | Cообщить модератору

265. "Debian прекращает поддержку стандарта Linux Standard Base"  +2 +/
Сообщение от arisu (ok) on 14-Окт-15, 21:12 
умер он потому, что хипсторы не умеют программировать, а нехипсторам он нафиг не нужен: у них sysv/monit давно работают.
Ответить | Правка | ^ к родителю #264 | Наверх | Cообщить модератору

266. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от myhand (ok) on 15-Окт-15, 01:21 
> а нехипсторам он нафиг
> не нужен: у них sysv/monit давно работают.

Это ненаучное объяснение, оно подошло бы и systemd, ан тот не
загнулся.  Или подразумевается что systemd развивают нехипстеры?

Ответить | Правка | ^ к родителю #265 | Наверх | Cообщить модератору

270. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от arisu (ok) on 15-Окт-15, 08:42 
системдец точно так же не нужен людям — но он нужен красношапке. как только он красношапке нужен быть перестанет (ну, вдруг), системдец впадёт в анабиоз (такой же кривой, как и всё остальное в системдеце) и будет отравлять своим полуразложившимся трупом дистрибутивы, которые об него испачкались. ну, как пшшшшаудио примерно.
Ответить | Правка | ^ к родителю #266 | Наверх | Cообщить модератору

273. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от myhand (ok) on 15-Окт-15, 10:41 
> системдец точно так же не нужен людям — но он нужен красношапке.

Ну а почему бы красношапке не взять upstart?  Ведь запихнула же его в RHEL6.

Ответить | Правка | ^ к родителю #270 | Наверх | Cообщить модератору

274. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от arisu (ok) on 15-Окт-15, 11:48 
напиши в красношапку, спроси.
Ответить | Правка | ^ к родителю #273 | Наверх | Cообщить модератору

275. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от myhand (ok) on 15-Окт-15, 13:37 
> напиши в красношапку, спроси.

Так я ответ уже итак знаю, он озвучен выше.  Возглавить прогресс они в случае с upstart не сумели бы из-за CLA.

Ответить | Правка | ^ к родителю #274 | Наверх | Cообщить модератору

276. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от arisu (ok) on 15-Окт-15, 13:56 
> Так я ответ уже итак знаю, он озвучен выше.  Возглавить прогресс
> они в случае с upstart не сумели бы из-за CLA.

конечно. форкнуть апстарт и спокойно развивать самим — это так сложно. каноникал обещали взвод автоматчиков прислать и бомбу скинуть.

Ответить | Правка | ^ к родителю #275 | Наверх | Cообщить модератору

278. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от myhand (ok) on 19-Окт-15, 09:20 
Чтобы каноникал пользовался твоими наработками нахаляву, сделав закрытый форк?
Ответить | Правка | ^ к родителю #276 | Наверх | Cообщить модератору

279. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от arisu (ok) on 19-Окт-15, 09:38 
> Чтобы каноникал пользовался твоими наработками нахаляву, сделав закрытый форк?

у тебя проблемы с чтением и пониманием GPL? попроси тогда кого‐то пояснить, почему с GPL это не работает.

Ответить | Правка | ^ к родителю #278 | Наверх | Cообщить модератору

283. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от myhand (ok) on 26-Окт-15, 00:37 
>> Чтобы каноникал пользовался твоими наработками нахаляву, сделав закрытый форк?
> у тебя проблемы с чтением и пониманием GPL?

Нет, это ты почему-то читать не научен.

> попроси тогда кого‐то пояснить, почему с GPL это не работает.

Прекрасно работает, если авторские права у кого надо.  CLA именно это Марку
и обеспечивает.  Все горбатятся за иде^WGPL, а права отдают ему.

Это только у RH с закрытым форком ничего не получится как раз из-за GPL лицензии апстарта.

Ответить | Правка | ^ к родителю #279 | Наверх | Cообщить модератору

284. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от arisu (ok) on 26-Окт-15, 01:07 
> Все горбатятся за иде^WGPL, а права отдают ему.

а теперь приступаем к самой интересной части аттракциона: ты показываешь, где *в* *upstart* такое требование. вот прямо файл в архиве или ссылку на репозиторий. эта часть всегда моя любимая.

Ответить | Правка | ^ к родителю #283 | Наверх | Cообщить модератору

286. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от myhand (ok) on 26-Окт-15, 12:59 
>> Все горбатятся за иде^WGPL, а права отдают ему.
> а теперь приступаем к самой интересной части аттракциона: ты показываешь, где *в* *upstart* такое требование.

Я тебе давал уже ссылку на CLA бубунту, глупый башка забыл?

Ответить | Правка | ^ к родителю #284 | Наверх | Cообщить модератору

285. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от Mihail Zenkov (ok) on 26-Окт-15, 11:05 
>> попроси тогда кого‐то пояснить, почему с GPL это не работает.
> Прекрасно работает, если авторские права у кого надо.  CLA именно это
> Марку
> и обеспечивает.  Все горбатятся за иде^WGPL, а права отдают ему.

Когда участвуешь в разработке проекта входящего в GNU, тоже подписываешь соглашение (присылают бумагу по обычной почте), с передачей авторских прав в пользу FSF.

Естественно все свободы лицензии GPL при этом сохраняются.

Закрытый форк со стороны правообладателя (Canonical/FSF) возможен , если в соглашении не указано обязательство дальнейшего распространения только под свободными лицензиями. У FSF  есть подобный пункт. Про Canonical не знаю, не подписывал ;)

Ответить | Правка | ^ к родителю #283 | Наверх | Cообщить модератору

287. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от myhand (ok) on 26-Окт-15, 13:07 
>>> попроси тогда кого‐то пояснить, почему с GPL это не работает.
>> Прекрасно работает, если авторские права у кого надо.  CLA именно это
>> Марку
>> и обеспечивает.  Все горбатятся за иде^WGPL, а права отдают ему.
> Когда участвуешь в разработке проекта входящего в GNU, тоже подписываешь соглашение (присылают бумагу по обычной почте), с передачей авторских прав в пользу FSF.

Угу.

> Естественно все свободы лицензии GPL при этом сохраняются.

Разумеется.  Но наличие авторских прав в одних чотких руках внезапно может
сделать некоторых людей чуть более свободными.  И в частности, разрешить
им то, что по GPL запрещено другим...

> Закрытый форк со стороны правообладателя (Canonical/FSF) возможен , если в соглашении не
> указано обязательство дальнейшего распространения только под свободными лицензиями.

Или явным образом оговорено то, что правообладатель разрешет (себе) выпуск
производного продукта по произвольной лицензии.

> Про Canonical не знаю, не подписывал ;)

Ну так вот узнай.  Подписывать для этого не обязательно, ссылки выше были.

Ответить | Правка | ^ к родителю #285 | Наверх | Cообщить модератору

290. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Mihail Zenkov (ok) on 26-Окт-15, 14:22 
> Ну так вот узнай.  Подписывать для этого не обязательно, ссылки выше
> были.

Почитал  - пункт 2.3 разрешает выпуск продукта под любой лицензией, но не понятно, что значит: As a condition on the exercise of this right, We agree to also
license the Contribution under the terms of the license or licenses which We are using for the Material on the Submission Date.

Но все же главное, что любой желающий (в том числе и RH) может сделать форк и развивать его самостоятельно. И в этом случае для RH все равно - взяла она проект, который был только под GPL или под GPL+CLA.

Ответить | Правка | ^ к родителю #287 | Наверх | Cообщить модератору

291. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от arisu (ok) on 26-Окт-15, 14:58 
> Почитал  - пункт 2.3 разрешает выпуск продукта под любой лицензией, но
> не понятно, что значит: As a condition on the exercise of
> this right, We agree to also
> license the Contribution under the terms of the license or licenses which
> We are using for the Material on the Submission Date.

да, в общем‐то, понятно: это про contributions to the original project. а если просто форкнуть и развивать — то GPL. все исходники upstart помечены обычной, немодифицированной GPL. ну и всё, на этом можно заканчивать.

p.s. ок, чуть‐чуть модифицированной «шапкой»: насколько помню, там v2 only.

Ответить | Правка | ^ к родителю #290 | Наверх | Cообщить модератору

294. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от myhand (ok) on 26-Окт-15, 17:05 
> если просто форкнуть и развивать — то GPL.

Это для смердов GPL, а каноникалу - как пожелает.

Ответить | Правка | ^ к родителю #291 | Наверх | Cообщить модератору

293. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от myhand (ok) on 26-Окт-15, 17:01 
>> Ну так вот узнай.  Подписывать для этого не обязательно, ссылки выше
>> были.
> Почитал  - пункт 2.3 разрешает выпуск продукта под любой

Ну и что тут непонятного?

> не понятно, что значит: As a condition on the exercise of
> this right, We agree to also
> license the Contribution under the terms of the license or licenses which
> We are using for the Material on the Submission Date.

Ну вот на момент подписания upstart был под GPL, это и означает,
что Марк "license the Contribution under the terms of the license".  Все,
больше тебе ничего не должны - Марк может далее окуклиться
и развивать только закрытый форк.

> Но все же главное, что любой желающий (в том числе и RH)
> может сделать форк и развивать его самостоятельно.

Да может, конечно.  Но у бубунты - приемущество, они могут сделать
в т.ч. и закрытый форк.  Формально - проект под GPL, но фактически
условия распространения кода более походят на BSD.

Ответить | Правка | ^ к родителю #290 | Наверх | Cообщить модератору

289. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от arisu (ok) on 26-Окт-15, 14:00 
речь вообще шла про *форк*. код которого будет GPL, и «отдавать» ничего никому не надо. но оппонент, извиняюсь, идиот, с чтением там нескладухи.
Ответить | Правка | ^ к родителю #285 | Наверх | Cообщить модератору

292. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от myhand (ok) on 26-Окт-15, 16:52 
> речь вообще шла про *форк*. код которого будет GPL

Тебе тогда надо было другие слова употреблять, а не прямо
противоположные.  Речь шла о возможности закрытого форка, см.  #260.

Ответить | Правка | ^ к родителю #289 | Наверх | Cообщить модератору

295. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от arisu (ok) on 26-Окт-15, 18:42 
то, что ты идиот, и не умеешь читать — не мои проблемы.
Ответить | Правка | ^ к родителю #292 | Наверх | Cообщить модератору

253. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от Andrey Mitrofanov on 14-Окт-15, 09:47 
>а убунтовский upstart с его CLA мог запросто порвать то, куда его проталкивали.

Не трожь выскочку (upstart)! На нём все RHEL-ы 6-ые, весь ынтерпрайс!, работает!!

Ответить | Правка | ^ к родителю #244 | Наверх | Cообщить модератору

269. "Debian прекращает поддержку стандарта Linux Standard Base"  –2 +/
Сообщение от Kandeshvari on 15-Окт-15, 05:51 
>>а убунтовский upstart с его CLA мог запросто порвать то, куда его проталкивали.
> Не трожь выскочку (upstart)! На нём все RHEL-ы 6-ые, весь ынтерпрайс!, работает!!

Rhel6 работает на init scripts. Апстарта рядлм не стояло.

Ответить | Правка | ^ к родителю #253 | Наверх | Cообщить модератору

281. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от Andrey Mitrofanov on 21-Окт-15, 09:55 
>>>а убунтовский upstart с его CLA мог запросто порвать то, куда его проталкивали.
>> Не трожь выскочку (upstart)! На нём все RHEL-ы 6-ые, весь ынтерпрайс!, работает!!
> Rhel6 работает на init scripts. Апстарта рядлм не стояло.

Ж) Марш уроки учить!

# grep Red /etc/redhat-release
Red Hat Enterprise Linux Server release 6.7 (Santiago)
# ps -fp 1
UID        PID  PPID  C STIME TTY          TIME CMD
root         1     0  0 Oct12 ?        00:00:03 /sbin/init
# rpm -qf /sbin/init
upstart-0.6.5-13.el6_5.3.x86_64

Ответить | Правка | ^ к родителю #269 | Наверх | Cообщить модератору

282. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от dimcha (??) on 21-Окт-15, 09:58 
>> Rhel6 работает на init scripts. Апстарта рядлм не стояло.
> Ж) Марш уроки учить!
> # rpm -qf /sbin/init
> upstart-0.6.5-13.el6_5.3.x86_64

да-да, мой косяк )) если я его никогда в нем не использовал, это не значит что его нет )


Ответить | Правка | ^ к родителю #281 | Наверх | Cообщить модератору

112. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 10-Окт-15, 13:57 
Debian же только для серверов. Всё правильно, совместимость не нужна. Ну а у опеннетовских "аналитиков" в треде - у них Ubuntu.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

153. "Debian прекращает поддержку стандарта Linux Standard Base"  –4 +/
Сообщение от Kodir (ok) on 10-Окт-15, 23:37 
Сейчас только настоящие профессионалы хмыкнут, вспомнив Gobo-linux - вот она, непонятая хомячками революция! Им объясняешь прелесть новой системы - упираются рогом "да не, да не надо, нам и так хорошо с десятью */bin каталогами!".
Сейчас мы наблюдаем, как менее поворотливые тугодумы из Дебиан постепенно приходят к мысли - "действительно, ЧЕГО РАДИ?". И даю ещё 5 лет их интеллекту допереть до мысли, что давно пора перейти на структуру Gobo и навсегда решить проблему как дурацких "менеджеров пакетов" (десяток несовместимых извратов), так и гармоничности системы в целом.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

167. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от ireadaboutgobo on 11-Окт-15, 02:05 
> пора перейти на структуру Gobo

Это в которой для каждого пакета есть свой каталог в /Programs , а потом симлинками всё линкуется во все те же */bin-каталоги?

Я бы этой штуке не доверял. Я вообще не доверяю системам, которые пытаются хранить в одном каталоге больше пары сотен подкаталогов/файлов. А с дебиановскими повадками каждый файл хранить в отдельном пакете (привет, bash-doc, bash-dev, bash-lib) с этим будут проблемы.

Ответить | Правка | ^ к родителю #153 | Наверх | Cообщить модератору

177. "Debian прекращает поддержку стандарта Linux Standard Base"  +1 +/
Сообщение от arisu (ok) on 11-Окт-15, 08:10 
> Я бы этой штуке не доверял. Я вообще не доверяю системам, которые
> пытаются хранить в одном каталоге больше пары сотен подкаталогов/файлов.

сделай «ls /usr/bin | wc -l» и немедленно сноси мерзкий GNU/Linux!

Ответить | Правка | ^ к родителю #167 | Наверх | Cообщить модератору

201. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от ireadaboutgobo on 11-Окт-15, 18:34 
> сделай «ls /usr/bin | wc -l» и немедленно сноси мерзкий GNU/Linux!

В /usr/bin хранятся только бинарники, и обращение к каталогу (и поиск в нём) идёт один раз - при запусе приложения. В /Programs/* хранится вообще вся установленная информация приложения, и обращения к ней идут гораздо чаще.

Хранение бинарников в одном каталоге решает техническую проблему - упрощает запуск через PATH, в который не надо прописывать 100500 значений, каждое для своего приложения. Какую проблему решает /Programs/* ?

Поиск по списку всех бинарников - необходимость. Когда вы запускаете ls, системе в любом случае надо будет просмотреть все места, где может храниться бинарник, на предмет наличия там этого ls, и нет особой разницы - будет это делать userspace перебором каких-то каталогов, или это будет сделано драйвером файловой системы при поиске в одном каталоге.

В случае же какого-нибудь /Programs/Glibc/Current/share/timezone у вас приложение всегда знает полный путь, и нет смысла заставлять kernelspace просматривать весь /Programs/ в поисках Glibc.

Если же делать, как вы предлагаете, то зачем вообще отдельные каталоги, всякие bin, lib, doc, share/man? Давайте всё в одно место класть, будет /Programs/Bash/Current/bash , /Programs/Bash/Current/bash.info , /Programs/Bash/Current/bash.1.gz и т.д.

Ответить | Правка | ^ к родителю #177 | Наверх | Cообщить модератору

209. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от arisu (ok) on 12-Окт-15, 05:57 
> В /usr/bin хранятся только бинарники, и обращение к каталогу (и поиск в
> нём) идёт один раз - при запусе приложения. В /Programs/* хранится
> вообще вся установленная информация приложения, и обращения к ней идут гораздо
> чаще.

какое это отношение имеет к твоим словам? я их процитирую: «Я вообще не доверяю системам, которые пытаются хранить в одном каталоге больше пары сотен подкаталогов/файлов.» GNU/Linux хранит. поскольку ты заведомо не доверяешь GNU/Linux по идиотской причине, и открыто это признал, никакой практической ценности у твоих дальнейших рассуждений нет.

Ответить | Правка | ^ к родителю #201 | Наверх | Cообщить модератору

214. "Debian прекращает поддержку стандарта Linux Standard Base"  –1 +/
Сообщение от Аноним (??) on 12-Окт-15, 11:42 
> «Я вообще не доверяю системам, которые пытаются хранить в одном каталоге больше пары сотен подкаталогов/файлов.»

имелось ввиду "Я вообще не доверяю системам, которые пытаются хранить в одном каталоге больше пары сотен подкаталогов/файлов при наличии вариантов." :(

Ответить | Правка | ^ к родителю #209 | Наверх | Cообщить модератору

170. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 11-Окт-15, 04:45 
Для кого может и неочевидно. А если например надо найти настройки приложения то гораздо легче их найти в /etc или в ~/.config чем черт знает где.
Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

237. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Аноним (??) on 13-Окт-15, 21:08 
> Разработчики Debian поставили под сомнение целесообразность обеспечения поддержки в дистрибутиве стандарта Linux Standard Base (LSB)

Ждем новости
«Разработчики Ubuntu поставили под сомнение целесообразность обеспечения поддержки в дистрибутиве стандарта Linux Standard Base (LSB)…»

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

268. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от Вареник on 15-Окт-15, 01:53 
>> Разработчики Debian поставили под сомнение целесообразность обеспечения поддержки в дистрибутиве стандарта Linux Standard Base (LSB)
> Ждем новости
> «Разработчики Ubuntu поставили под сомнение целесообразность обеспечения поддержки
> в дистрибутиве стандарта Linux Standard Base (LSB)…»

Воистину ))

Ответить | Правка | ^ к родителю #237 | Наверх | Cообщить модератору

259. "Debian прекращает поддержку стандарта Linux Standard Base"  +/
Сообщение от nexfwall (ok) on 14-Окт-15, 19:26 
Я конечно понимаю, что это всё стандарты, совместимость... Чтобы всё то проприетарное говно, что работало в линуксе 5 лет назад, работало и сегодня(как и в винде с этим их WINAPI). Даже если создатели этого проприетарного говна уже сами забили огромный хер на этот софт, в том числе и на поддержку, но чтобы оно всё равно работало. Даже если оно написано на GTK+ 1.0, или Qt 2.0, или ещё на каком говне мамонта, которое никто не поддерживает, это говно всё равно должно работать, ибо за это говно заплатили бабки. И так далее.

Но ведь так вечно продолжаться не может. Чем больше старого говна тащат в новые дистрибутивы, тем больше костылей и работы по их поддержке. Когда-то его да надо сбрасывать, говорить что - "это мы больше не поддерживаем, идите нахер", удалять костыли и перекинуть силы на развитие чего-то нового.

Это в назидание тем ораторам, что страстно бомбят тут по поводу выпила LSB.

Ответить | Правка | ^ к родителю #0 | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Слёрм
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2020 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру